function queryChannelList(req, res, u) {
  const result = {
    code: '000',
    msg: '成功',
    data: {
      pageNum: 1,
      pageSize: 20,
      totalPages: 1,
      totalCount: 1,
      result: [
        { channelId: 1, channelName: '大哥大', channelCode: 'BookingSource_0001', status: 1 },
        { channelId: 1, channelName: '大哥大', channelCode: 'BookingSource_000', status: 1 },
      ],
    },
  };
  return res.json(result);
}

const queryPriceList = {
  code: '000',
  msg: '成功',
  data: [
    {
      rateCodeId: 2,
      rateCodeName: '国庆打折',
      description: '国庆节打骨折，爽',
    },
    {
      rateCodeId: 3,
      rateCodeName: '情人节打折',
      description: '情人节打骨折，爽',
    },
    {
      rateCodeId: 4,
      rateCodeName: '会员专享',
      description: '会员专用价格策略',
    },
    {
      rateCodeId: 7,
      rateCodeName: '测试新建价格策略',
      description: '测试新建价格策略',
    },
    {
      rateCodeId: 12,
      rateCodeName: '测试更新价格策略2',
      description: '测试更新价格策略',
    },
  ],
};

export default {
  'POST /api/crs/v1/channel/create': {
    code: '000',
    msg: '成功',
    data: {},
  },
  'GET /api/crs/v1/channel/list': queryChannelList,
  'GET /api/crs/v1/channel/searchAllRateCodeNameList': queryPriceList,
};
