const getHotelBindRoomTypeList = {
  mockType: 1,
  code: '000',
  data: [
    {
      roomCount: 12,
      oldRoomTypeName: '标准大床房',
      roomTypeCode: 'SK',
      saleRoomTypeId: 19,
      saleRoomTypeName: '标准大床房',
      roomTypeName: '标准大床房',
      totalCount: 35,
      roomTypeId: 20,
      oldRoomTypeId: 4,
      deletable: 0, // 1可以删除 0不可以删除
    },
    {
      roomCount: 13,
      oldRoomTypeName: '豪华大床房',
      roomTypeCode: 'DK',
      saleRoomTypeId: 20,
      saleRoomTypeName: '豪华大床房',
      roomTypeName: '豪华大床房',
      totalCount: 35,
      roomTypeId: 26,
      oldRoomTypeId: 5,
      deletable: 1,
    },
    {
      roomCount: 4,
      oldRoomTypeName: '豪华大床套房',
      roomTypeCode: 'DKS',
      saleRoomTypeId: 21,
      saleRoomTypeName: '豪华大床套房',
      roomTypeName: '豪华大床套房',
      totalCount: 35,
      roomTypeId: 27,
      oldRoomTypeId: 8,
      deletable: 1,
    },
    {
      roomCount: 4,
      oldRoomTypeName: '特惠房',
      roomTypeCode: 'DD',
      saleRoomTypeId: 24,
      saleRoomTypeName: '豪华双床房',
      roomTypeName: '豪华双床房',
      totalCount: 35,
      roomTypeId: 30,
      oldRoomTypeId: 12,
      deletable: 0,
    },
    {
      roomCount: 2,
      oldRoomTypeName: '麻将大床房',
      roomTypeCode: 'DDS',
      saleRoomTypeId: 19,
      saleRoomTypeName: '标准大床房',
      roomTypeName: '豪华双床套房',
      totalCount: 35,
      roomTypeId: 31,
      oldRoomTypeId: 13,
      deletable: 1,
    },
  ],
  msg: '成功',
};

const getAllRoomTypeAndRelation = {
  mockType: 1,
  code: '000',
  data: {
    roomTypeList: [
      { code: 'SK', name: '标准大床房', id: 20 },
      { code: 'DK', name: '豪华大床房', id: 26 },
      { code: 'DKS', name: '豪华大床套房', id: 27 },
      { code: 'MK', name: '麻将大床房', id: 28 },
      { code: 'SD', name: '标准双床房', id: 29 },
      { code: 'DD', name: '豪华双床房', id: 30 },
      { code: 'DDS', name: '豪华双床套房', id: 31 },
      { code: 'MD', name: '麻将双床房', id: 32 },
      { code: 'TR', name: '三人房', id: 33 },
      { code: 'THR', name: '主题房', id: 34 },
      { code: 'SPD', name: '特惠双床房', id: 36 },
      { code: 'SPK', name: '特惠大床房', id: 37 },
      { code: 'SPS', name: '特惠单人房', id: 45 },
      { code: 'SS', name: '标准单人房', id: 46 },
      { code: 'DS', name: '豪华单人房', id: 47 },
      { code: 'BD', name: '商务双床房', id: 48 },
      { code: 'BK', name: '商务大床房', id: 49 },
      { code: 'UD1', name: '自定义房型1', id: 50 },
      { code: 'UD2', name: '自定义房型2', id: 51 },
      { code: 'UD3', name: '自定义房型3', id: 52 },
      { code: 'saver_double', name: 'Saver Double (X) ', id: 54 },
      { code: 'standard', name: 'Classic (2X)', id: 55 },
      { code: 'suite', name: 'Suite (4X)', id: 56 },
      { code: 'saver_single', name: 'Saver Single (X)', id: 57 },
      { code: 'deluxe', name: 'Deluxe (3X)', id: 58 },
    ],
    saleRoomTypeList: [
      { saleRoomTypeId: 19, saleRoomTypeName: '标准大床房', roomTypeId: 20 },
      { saleRoomTypeId: 20, saleRoomTypeName: '豪华大床房', roomTypeId: 26 },
      { saleRoomTypeId: 21, saleRoomTypeName: '豪华大床套房', roomTypeId: 27 },
      { saleRoomTypeId: 22, saleRoomTypeName: '麻将大床房', roomTypeId: 28 },
      { saleRoomTypeId: 23, saleRoomTypeName: '标准双床房', roomTypeId: 29 },
      { saleRoomTypeId: 24, saleRoomTypeName: '豪华双床房', roomTypeId: 30 },
      { saleRoomTypeId: 25, saleRoomTypeName: '豪华双床套房', roomTypeId: 31 },
      { saleRoomTypeId: 26, saleRoomTypeName: '麻将双床房', roomTypeId: 32 },
      { saleRoomTypeId: 27, saleRoomTypeName: '三人房', roomTypeId: 33 },
      { saleRoomTypeId: 28, saleRoomTypeName: '主题房', roomTypeId: 34 },
      { saleRoomTypeId: 29, saleRoomTypeName: '特惠双床房', roomTypeId: 36 },
      { saleRoomTypeId: 30, saleRoomTypeName: '特惠大床房', roomTypeId: 37 },
      { saleRoomTypeId: 31, saleRoomTypeName: '特惠单人房', roomTypeId: 45 },
      { saleRoomTypeId: 32, saleRoomTypeName: '标准单人房', roomTypeId: 46 },
      { saleRoomTypeId: 33, saleRoomTypeName: '豪华单人房', roomTypeId: 47 },
      { saleRoomTypeId: 34, saleRoomTypeName: '商务双床房', roomTypeId: 48 },
      { saleRoomTypeId: 35, saleRoomTypeName: '商务大床房', roomTypeId: 49 },
      { saleRoomTypeId: 44, saleRoomTypeName: 'kermit自定义销售房型1', roomTypeId: 50 },
      { saleRoomTypeId: 45, saleRoomTypeName: 'kermit自定义销售房型2', roomTypeId: 50 },
      { saleRoomTypeId: 46, saleRoomTypeName: 'kermit自定义销售房型3', roomTypeId: 50 },
      { saleRoomTypeId: 47, saleRoomTypeName: 'kermit自定义销售房型4', roomTypeId: 50 },
      { saleRoomTypeId: 48, saleRoomTypeName: '王杰专用大床房', roomTypeId: 50 },
    ],
  },
  msg: '成功',
};

const getRoomListByRoomType = {
  mockType: 1,
  code: '000',
  msg: '成功',
  data: {
    roomSelected: {
      count: 6,
      roomList: [
        {
          floor: 1,
          roomDateList: [
            {
              id: 1,
              roomNum: 8101,
              choosable: 1,
            },
            {
              id: 3,
              roomNum: 8103,
              choosable: 0,
            },
            {
              id: 2,
              roomNum: 8107,
              choosable: 1,
            },
          ],
        },
        {
          floor: 3,
          roomDateList: [
            {
              id: 11,
              roomNum: 8201,
              choosable: 1,
            },
            {
              id: 22,
              roomNum: 8202,
              choosable: 1,
            },
            {
              id: 33,
              roomNum: 8203,
              choosable: 0,
            },
          ],
        },
      ],
    },
    roomSelectable: {
      count: 10,
      roomList: [
        {
          floor: 1,
          roomDateList: [
            {
              id: 199,
              roomNum: 8106,
              choosable: null,
            },
            {
              id: 200,
              roomNum: 8102,
              choosable: null,
            },
            {
              id: 201,
              roomNum: 8108,
              choosable: null,
            },
          ],
        },
        {
          floor: 17,
          roomDateList: [
            {
              id: 11,
              roomNum: 8206,
              choosable: null,
            },
            {
              id: 22,
              roomNum: 8207,
              choosable: null,
            },
            {
              id: 33,
              roomNum: 8208,
              choosable: null,
            },
            {
              id: 44,
              roomNum: 8209,
              choosable: null,
            },
            {
              id: 55,
              roomNum: 8210,
              choosable: null,
            },
            {
              id: 66,
              roomNum: 8211,
              choosable: null,
            },
            {
              id: 77,
              roomNum: 8212,
              choosable: null,
            },
          ],
        },
      ],
    },
  },
};

export default {
  'GET /roomType/v1/getHotelBindRoomTypeList': getHotelBindRoomTypeList,
  'GET /room/v1/getRoomListByHotelAndRoomType': getAllRoomTypeAndRelation,
  'POST /room/v1/saveRoomListForRoomType': {
    mockType: 1,
    code: '000',
    data: {
      msg: 'ok',
    },
  },
  'POST /roomType/v1/saveHotelBindRoomTypeList': {
    mockType: 1,
    code: '000',
    data: {
      msg: 'ok',
    },
  },
};
