const booking = {
  bookingId: 2840, // 订单ID
  bookingSn: 'PAI133824043', // 订单号
  extBookingSn: '86243766', // 渠道订单号
  hotelId: 1,
  hotelName: 'OYO香山大酒店',
  channelId: 1, // 渠道ID
  channelName: null,
  bookingRoomList: [
    // 订单房间房型信息
    {
      id: 843,
      bookingId: 2840,
      hotelId: 1,
      roomType: 2, // 房型ID
      roomTypeDesc: '豪华大床房',
      number: 3, // 房间数量
      rateCode: 2, // 价格策略
      price: 180, // 房间单价
      createTime: '2018-09-13 19:41:34',
      updateTime: '2018-09-13 19:41:34',
      isDeleted: 0,
    },
    {
      id: 844,
      bookingId: 2840,
      hotelId: 1,
      roomType: 3, // 房型ID
      roomTypeDesc: '豪华大床房',
      number: 3, // 房间数量
      rateCode: 2, // 价格策略
      price: 180, // 房间单价
      createTime: '2018-09-13 19:41:34',
      updateTime: '2018-09-13 19:41:34',
      isDeleted: 0,
    },
  ],
  checkin: '2018-09-13 00:00:00', // 入住时间
  checkout: '2018-09-14 00:00:00', // 离店时间
  amount: 200, // 订单总额
  paidAmount: null, // 订单已支付金额
  guestName: '艾玄',
  phone: '18201787888',
  reservationNameList: [
    // 入住人
    '涨三',
    '草泥马',
    '呀咩地',
  ],
  bookingStatus: '0',
  remark: '呀咩地呀咩地呀咩地呀咩地呀咩地呀咩地呀咩地呀咩地', // 订单备注
};
const result = [];
for (let index = 0; index < 200; index++) {
  result.push(booking);
}

const listBookingData = {
  code: '000',
  msg: '成功',
  data: {
    pageNum: 1, // 页码
    pageSize: 10, // 每页条数
    totalPages: 20, // 总页数
    totalCount: 200, // 总记录数
    result,
  },
};

const detailBookingData = {
  code: '000',
  data: {
    accountType: '',
    actualAmount: 132.0,
    amount: 132.0,
    arrivalDate: '2018-12-30 00:00:00',
    arrivalTime: '2018-12-30 12:00:00',
    bookingDiscount: [
      {
        id: 608,
        bookingId: 74968,
        discountType: 'MEMBER',
        discountMoney: 5,
        couponType: 0,
        couponId: 0,
        discountTypeName: null,
      },
      {
        id: 609,
        bookingId: 74968,
        discountType: 'COUPON',
        discountMoney: 5,
        couponType: 1,
        couponId: 60918,
        discountTypeName: '现金券',
      },
    ],
    bookingGuest: {
      bookingId: 79890,
      createTime: '2018-12-25 14:01:59',
      id: 78224,
      isDeleted: 0,
      memberCode: '',
      memberDegree: '',
      memberId: 0,
      name: "a'a",
      phone: '',
      updateTime: '2018-12-25 14:01:59',
    },
    bookingPaymentList: [
      {
        amount: 132.0,
        bizDate: '2018-12-25 00:00:00',
        bookingId: 79890,
        bookingSn: 'PAL256012259',
        code: 1,
        createTime: '2018-12-25 14:01:59',
        hotelId: 36060,
        id: 75613,
        isDeleted: 0,
        isNightAudit: 0,
        name: '房费',
        operatorId: 1,
        orderId: 89918,
        orderSn: 'SAL256012258',
        payType: 15,
        payTypeName: '在线支付',
        remaining: 132.0,
        remark: '',
        roomId: 0,
        roomNo: '',
        type: 1,
        updateTime: '2018-12-25 14:01:59',
        voucherNumber: 'OYO-TRADE89918-1545717719230',
      },
    ],
    bookingRoomList: [
      {
        bookingId: 79890,
        createTime: '2018-12-25 14:01:59',
        hotelId: 36060,
        id: 79937,
        isDeleted: 0,
        number: 1,
        price: 66.0,
        rateCode: 2,
        rateCodeName: null,
        roomType: 31,
        roomTypeDesc: '豪华双床套房',
        updateTime: '2018-12-25 14:01:59',
      },
    ],
    bookingSn: 'PAL256012259',
    bookingTypeName: '全天房',
    cancelFlag: 1,
    cancelReason: null,
    cancelTime: null,
    channelName: 'OTA',
    couponTotalPrice: 27.98,
    createTime: '2018-12-25 14:01:59',
    creator: 'tk',
    creatorId: 1,
    departureDate: '2019-01-01 00:00:00',
    departureTime: '2019-01-01 12:00:00',
    detail: null,
    detailList: [
      {
        bookingId: 79890,
        createTime: '2018-12-25 14:01:59',
        hotelId: 36060,
        id: 89910,
        isDeleted: 0,
        orderId: 89918,
        price: 66.0,
        rateCode: 2,
        roomId: 0,
        roomNo: '',
        roomReservationRoomPriceVOList: [
          {
            bookingId: 79890,
            date: '2018-12-30 00:00:00',
            hotelId: 36060,
            id: 175585,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.0,
          },
          {
            bookingId: 79890,
            date: '2018-12-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.0,
          },
          {
            bookingId: 79890,
            date: '2018-12-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.0,
          },
          {
            bookingId: 79890,
            date: '2018-12-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.32,
          },
          {
            bookingId: 79890,
            date: '2018-12-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.88,
          },
          {
            bookingId: 79890,
            date: '2018-12-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
          {
            bookingId: 79890,
            date: '2018-09-25 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
          {
            bookingId: 79890,
            date: '2018-12-21 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 66.88,
          },
          {
            bookingId: 79890,
            date: '2018-12-08 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
          {
            bookingId: 79890,
            date: '2018-01-31 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
          {
            bookingId: 79890,
            date: '2018-07-10 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
          {
            bookingId: 79890,
            date: '2018-08-16 00:00:00',
            hotelId: 36060,
            id: 175586,
            orderId: 89918,
            orderRoomId: 89910,
            originalPrice: 0.0,
            preferentialPrice: null,
            price: 63.9,
          },
        ],
        roomType: 31,
        roomTypeDesc: '豪华双床套房',
        status: null,
        updateTime: '2018-12-25 14:01:59',
      },
    ],
    extBookingSn: '',
    guestRequest: '',
    hotelId: 36060,
    hotelName: 'OYO 8080 广信酒店',
    id: 79890,
    isDeleted: 0,
    isDirect: 0,
    isDismantling: 0,
    isGroup: 0,
    memberCode: '',
    memberTotalPrice: 22.3,
    operatorId: 1,
    orderSn: null,
    otaRemark: '',
    paidAmount: 132.0,
    paymentType: 1,
    paymentTypeName: '预付',
    remark: '',
    retentionTime: '2018-12-30 18:00:00',
    source: 24,
    status: 0,
    type: 1,
    updateTime: '2018-12-25 14:01:59',
  },
  msg: '成功',
};

const hotelRoomTypeListData = {
  code: '000',
  msg: '成功',
  data: [
    {
      oyoRoomTypeId: 1,
      oyoRoomTypeName: '标准双人间',
      saleRoomTypeId: 1,
      saleRoomTypeName: 'AAA大床房',
      roomCount: 186,
      roomLevel: null,
      isValid: null,
    },
    {
      oyoRoomTypeId: 2,
      oyoRoomTypeName: '标准大床房',
      saleRoomTypeId: 2,
      saleRoomTypeName: 'BBB大床房',
      roomCount: 99,
      roomLevel: null,
      isValid: null,
    },
    {
      oyoRoomTypeId: 3,
      oyoRoomTypeName: '豪华大床房',
      saleRoomTypeId: 3,
      saleRoomTypeName: 'CCC大床房',
      roomCount: 30,
      roomLevel: null,
      isValid: null,
    },
  ],
};
const hotelPriceTypeListData = {
  code: '000',
  msg: '成功',
  data: [
    {
      roomTypeId: 1,
      roomTypeName: '标准双人间',
      rateCodeList: [
        {
          rateCodeName: '七夕专享',
          rateCodeDesc: '七夕专享',
          rateCodeId: 1000,
          channelList: ['酒店上线流程自测'],
        },
        {
          rateCodeName: '会员专享',
          rateCodeDesc: '会员专享8折',
          rateCodeId: 20000,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
        {
          rateCodeName: '连住5天专享',
          rateCodeDesc: '连住5天打9折',
          rateCodeId: 30000,
          channelList: ['酒店上线流程自测2'],
        },
        {
          rateCodeName: '门市价',
          rateCodeDesc: '默认门市价',
          rateCodeId: 4,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
      ],
    },
    {
      roomTypeId: 2,
      roomTypeName: '标准大床房',
      rateCodeList: [
        {
          rateCodeName: '七夕专享',
          rateCodeDesc: '七夕专享',
          rateCodeId: 1,
          channelList: ['酒店上线流程自测'],
        },
        {
          rateCodeName: '会员专享',
          rateCodeDesc: '会员专享5折',
          rateCodeId: 2,
          channelList: ['酒店上线流程自测'],
        },
        {
          rateCodeName: '会员专享',
          rateCodeDesc: '会员专享8折',
          rateCodeId: 3,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
        {
          rateCodeName: '连住5天专享',
          rateCodeDesc: '连住5天打9折',
          rateCodeId: 4,
          channelList: ['酒店上线流程自测2'],
        },
        {
          rateCodeName: '门市价',
          rateCodeDesc: '默认门市价',
          rateCodeId: 5,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
      ],
    },
    {
      roomTypeId: 3,
      roomTypeName: '豪华大床房',
      rateCodeList: [
        {
          rateCodeName: '七夕专享',
          rateCodeDesc: '七夕专享',
          rateCodeId: 1111,
          channelList: ['酒店上线流程自测'],
        },
        {
          rateCodeName: '会员专享',
          rateCodeDesc: '会员专享7折',
          rateCodeId: 112,
          channelList: ['酒店上线流程自测'],
        },
        {
          rateCodeName: '会员专享',
          rateCodeDesc: '会员专享8折',
          rateCodeId: 311,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
        {
          rateCodeName: '连住5天专享',
          rateCodeDesc: '连住5天打9折',
          rateCodeId: 111,
          channelList: ['酒店上线流程自测2'],
        },
        {
          rateCodeName: '门市价',
          rateCodeDesc: '默认门市价',
          rateCodeId: 41,
          channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
        },
      ],
    },
  ],
};
const cancelBooking = {
  message: '取消订单成功',
  code: 200,
};
const updateBooking = {
  code: '000',
  data: null,
  msg: '成功',
};

const roomReservationData = {
  code: '000',
  msg: '成功',
  data: [
    {
      bookingId: 2555,
      orderId: 1366,
      hotelId: 1,
      postingList: [
        // {
        //   id: 125,
        //   createTime: '2018-09-04 10:21:49',
        //   updateTime: '2018-09-04 17:18:07',
        //   isDeleted: 0,
        //   orderId: 1366,
        //   bookingId: 2555,
        //   bookingSn: 'PAI43106107',
        //   orderSn: 'SAI43106109',
        //   hotelId: 1,
        //   roomId: 0,
        //   roomNo: '',
        //   remark: '',
        //   name: '房费',
        //   payType: 1,
        //   payTypeName: '现金',
        //   amount: 120,
        //   type: 1,
        //   operatorId: 0,
        //   remaining: 0,
        //   bizDate: '2018-08-28 00:00:00',
        //   isNightAudit: 0,
        //   voucherNumber: 'OYO-TRADE1350-1536027709197',
        // },
        // {
        //   id: 124,
        //   createTime: '2018-09-04 10:21:48',
        //   updateTime: '2018-09-04 17:18:07',
        //   isDeleted: 0,
        //   orderId: 1366,
        //   bookingId: 2555,
        //   bookingSn: 'PAI43106107',
        //   orderSn: 'SAI43106108',
        //   hotelId: 1,
        //   roomId: 0,
        //   roomNo: '',
        //   remark: '',
        //   name: '房费',
        //   payType: 1,
        //   payTypeName: '现金',
        //   amount: 120,
        //   type: 1,
        //   operatorId: 0,
        //   remaining: 0,
        //   bizDate: '2018-08-28 00:00:00',
        //   isNightAudit: 0,
        //   voucherNumber: 'OYO-TRADE1349-1536027708690',
        // },
      ],
      amount: 120,
      remainingAmount: 0,
      isCurDayCheckOut: true,
      curDayRoomRate: 120,
      checkIn: '2018-09-04 00:00:00',
      checkInTime: null,
      guestList: [
        // {
        //   id: 1,
        //   orderId: 1366,
        //   name: '张三',
        //   phone: '17602114488',
        //   cardType: 1,
        //   cardNo: '320722198810254445',
        //   createTime: '2018-09-04 08:23:30',
        //   updateTime: '2018-09-04 08:22:52',
        //   isDeleted: '0',
        // },
        // {
        //   id: 2,
        //   orderId: 1366,
        //   name: '李四',
        //   phone: '17602116666',
        //   cardType: 1,
        //   cardNo: '320722198810256666',
        //   createTime: '2018-09-04 08:23:28',
        //   updateTime: '2018-09-04 08:22:52',
        //   isDeleted: '0',
        // },
      ],
      roomId: 1001,
      roomNo: '1001',
      orderStatus: 0,
      orderDesc: '房间 1001 张三 入住',
    },
    {
      bookingId: 2555,
      orderId: 1367,
      hotelId: 1,
      postingList: [
        {
          id: 127,
          createTime: '2018-09-04 11:10:21',
          updateTime: '2018-09-04 17:18:35',
          isDeleted: 0,
          orderId: 1367,
          bookingId: 2555,
          bookingSn: 'PAI43106110',
          orderSn: 'SAI43105984',
          hotelId: 1,
          roomId: 0,
          roomNo: '',
          remark: '',
          name: '房费',
          payType: 1,
          payTypeName: '现金',
          amount: 120,
          type: 1,
          operatorId: 0,
          remaining: 100,
          bizDate: '2018-08-28 00:00:00',
          isNightAudit: 0,
          voucherNumber: 'OYO-TRADE1352-1536030621619',
        },
        {
          id: 128,
          createTime: '2018-09-04 11:10:21',
          updateTime: '2018-09-04 17:18:35',
          isDeleted: 0,
          orderId: 1368,
          bookingId: 2555,
          bookingSn: 'PAI43106110',
          orderSn: 'SAI43105984',
          hotelId: 1,
          roomId: 0,
          roomNo: '',
          remark: '',
          name: '房费',
          payType: 1,
          payTypeName: '现金',
          amount: 1120,
          type: 0,
          operatorId: 0,
          remaining: 110,
          bizDate: '2018-08-28 00:00:00',
          isNightAudit: 0,
          voucherNumber: 'OYO-TRADE1352-1536030621619',
        },
        {
          id: 126,
          createTime: '2018-09-04 11:10:21',
          updateTime: '2018-09-04 17:18:34',
          isDeleted: 0,
          orderId: 1367,
          bookingId: 2555,
          bookingSn: 'PAI43106110',
          orderSn: 'SAI43106111',
          hotelId: 1,
          roomId: 0,
          roomNo: '',
          remark: '',
          name: '房费',
          payType: 1,
          payTypeName: '现金',
          amount: 120,
          type: 1,
          operatorId: 0,
          remaining: 0,
          bizDate: '2018-08-28 00:00:00',
          isNightAudit: 0,
          voucherNumber: 'OYO-TRADE1351-1536030621101',
        },
      ],
      amount: 120,
      remainingAmount: 0,
      isCurDayCheckOut: true,
      curDayRoomRate: 120,
      checkIn: '2018-09-04 00:00:00',
      checkInTime: null,
      guestList: [
        {
          id: 3,
          orderId: 1367,
          name: '王五',
          phone: '17602117777',
          cardType: 1,
          cardNo: '320722198810256666',
          createTime: '2018-09-04 08:23:28',
          updateTime: '2018-09-04 08:22:52',
          isDeleted: '0',
        },
        {
          id: 4,
          orderId: 1367,
          name: '艾伦',
          phone: '17602118888',
          cardType: 1,
          cardNo: '320722198810258888',
          createTime: '2018-09-04 08:23:28',
          updateTime: '2018-09-04 08:22:52',
          isDeleted: '0',
        },
        {
          id: 5,
          orderId: 1367,
          name: '艾伦1111',
          phone: '176021188818',
          cardType: 1,
          cardNo: '320722198810258888',
          createTime: '2018-09-04 08:23:28',
          updateTime: '2018-09-04 08:22:52',
          isDeleted: '0',
        },
      ],
      roomId: 1002,
      roomNo: '1002',
      orderStatus: 1,
      orderDesc: '房间 1002 王五 入住',
    },
  ],
};

const productData = {
  code: '000',
  data: [
    {
      rate: '156',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 13,
      listRate: '120',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'biaoJian',
        personAllowed: 1,
        code: '',
        extraBedAllowed: 0,
        size: '20平米',
        windowTypeDesc: '有窗',
        name: '标准双人间',
        bedTypeDesc: '1',
        id: 1,
        bedWideth: '2*2',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '195',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 17,
      listRate: '150',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'daChuangFang',
        personAllowed: 1,
        code: '',
        extraBedAllowed: 0,
        size: '15平米',
        windowTypeDesc: '有窗',
        name: '标准大床房',
        bedTypeDesc: '1',
        id: 2,
        bedWideth: '2*2',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '234',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 29,
      listRate: '180',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'danJian',
        personAllowed: 1,
        code: '',
        extraBedAllowed: 0,
        size: '10平米',
        windowTypeDesc: '有窗',
        name: '豪华大床房',
        bedTypeDesc: '1',
        id: 3,
        bedWideth: '2*2',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '390',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 20,
      listRate: '300',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'jingGuan',
        personAllowed: 0,
        code: '',
        extraBedAllowed: 0,
        size: '22平米',
        windowTypeDesc: '有窗',
        name: '景观房',
        bedTypeDesc: '1',
        id: 4,
        bedWideth: '2*2',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '260',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 15,
      listRate: '200',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'Test',
        personAllowed: 1,
        code: 'abc',
        extraBedAllowed: 0,
        size: '2*2',
        windowTypeDesc: 'test windowType',
        name: '三人房',
        bedTypeDesc: '测试床型',
        id: 5,
        bedWideth: '啥',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '260',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 18,
      listRate: '200',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'Test',
        personAllowed: 1,
        code: 'abc',
        extraBedAllowed: 0,
        size: '2*2',
        windowTypeDesc: 'test windowType',
        name: '麻将房',
        bedTypeDesc: '测试床型',
        id: 6,
        bedWideth: '啥',
        bedType: 1,
        windowType: 1,
      },
    },
    {
      rate: '260',
      cancelType: 1,
      rateCodeId: 1,
      hotelId: 1,
      inventory: 30,
      listRate: '200',
      rateCodeName: '门市价',
      channelId: 1,
      roomType: {
        englishName: 'Test',
        personAllowed: 1,
        code: 'abc',
        extraBedAllowed: 0,
        size: '2*2',
        windowTypeDesc: 'test windowType',
        name: '主题房',
        bedTypeDesc: '测试床型',
        id: 7,
        bedWideth: '啥',
        bedType: 1,
        windowType: 1,
      },
    },
  ],
  msg: '成功',
};
const listCrsChannelData = {
  code: '000',
  data: [
    {
      rate: null,
      rateCodeId: 4,
      rateCodeName: '连住5天专享',
    },
    {
      rate: null,
      rateCodeId: 5,
      rateCodeName: '门市价',
    },
  ],
  msg: '成功',
};
export default {
  'GET /api/crs/v1/booking/listBooking': listBookingData,
  'GET /api/crs/v1/booking/getDetail': detailBookingData,
  'GET /api/crs/v1/roomType/getHotelBindRoomTypeList': hotelRoomTypeListData,
  'GET /api/crs/v1/roomType/roomTypeListWithRateCode': hotelPriceTypeListData,
  'POST /api/crs/v1/booking/cancelBooking/': cancelBooking,
  'POST /api/crs/v1/booking/updateBooking': updateBooking,
  'GET /api/crs/v1/posting/listRoomReservation': roomReservationData,
  'GET /api/crs/v1/product/getProduct': productData,
  'GET /api/crs/v1/channel/listCrsChannel': listCrsChannelData,
};
