// 代码中会兼容本地 service mock 以及部署站点的静态数据
export default {
  // 支持值为 Object 和 Array
  // 角色列表  /api/crs/v1/role/list 分页
  'POST /api/crs/v1/role/pageList': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        startRow: 1,
        lastPage: 3,
        navigatepageNums: [1, 2, 3],
        prePage: 0,
        hasNextPage: true,
        nextPage: 2,
        pageSize: 10,
        orderBy: null,
        endRow: 10,
        list: [
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'HOO',
            createAccountId: 0,
            description: 'HOO用户',
            updateTimeName: '2018-10-12 17:31:39',
            updateTime: '2018-10-12 17:31:39',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: null,
            permissions: null,
            name: 'HOO用户',
            id: 35,
            createTimeName: null,
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'HMPM',
            createAccountId: 0,
            description: '酒店经理用户',
            updateTimeName: '2018-10-12 17:31:16',
            updateTime: '2018-10-12 17:31:16',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: null,
            permissions: null,
            name: '酒店经理用户',
            id: 34,
            createTimeName: null,
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'FRONT_DESK',
            createAccountId: 0,
            description: '酒店前台用户',
            updateTimeName: '2018-10-12 17:30:53',
            updateTime: '2018-10-12 17:30:53',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-10-12 17:30:35',
            permissions: null,
            name: '酒店前台用户',
            id: 33,
            createTimeName: '2018-10-12 17:30:35',
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'RED_ENVELOPE',
            createAccountId: 0,
            description: '红包',
            updateTimeName: '2018-10-12 17:30:20',
            updateTime: '2018-10-12 17:30:20',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-10-12 17:30:17',
            permissions: null,
            name: '红包',
            id: 32,
            createTimeName: '2018-10-12 17:30:17',
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'admin',
            createAccountId: 0,
            description: '管理员',
            updateTimeName: '2018-10-10 11:29:51',
            updateTime: '2018-10-10 11:29:51',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-10-10 11:07:14',
            permissions: null,
            name: '管理员',
            id: 3,
            createTimeName: '2018-10-10 11:07:14',
            status: '1',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'E491D870CB3F4779B02C9C7A3AF8FE22',
            createAccountId: 0,
            description: '',
            updateTimeName: '2018-10-10 11:17:09',
            updateTime: '2018-10-10 11:17:09',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: null,
            permissions: null,
            name: 'test',
            id: 21,
            createTimeName: null,
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: '83CA184F1F824C5A981AFCB812B822AF',
            createAccountId: 0,
            description: 'AGM',
            updateTimeName: '2018-10-07 11:50:54',
            updateTime: '2018-10-07 11:50:54',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-09-27 16:02:15',
            permissions: null,
            name: 'bb',
            id: 20,
            createTimeName: '2018-09-27 16:02:15',
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: '21EB464FD3E54B22BC6B210878D57761',
            createAccountId: 0,
            description: '测试2',
            updateTimeName: '2018-09-28 15:50:55',
            updateTime: '2018-09-28 15:50:55',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-08-29 16:08:54',
            permissions: null,
            name: 'AGM11',
            id: 9,
            createTimeName: '2018-08-29 16:08:54',
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: '753238CB9010413E8F26015E56672C10',
            createAccountId: 0,
            description: '测试',
            updateTimeName: '2018-09-28 15:50:03',
            updateTime: '2018-09-28 15:50:03',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-09-19 19:43:18',
            permissions: null,
            name: 'AGM10',
            id: 13,
            createTimeName: '2018-09-19 19:43:18',
            status: '0',
          },
          {
            createAccountName: null,
            updateAccountName: null,
            code: 'F44F46CEC95349D49A504BFAC23D66D1',
            createAccountId: 0,
            description: '测试',
            updateTimeName: '2018-09-28 15:49:55',
            updateTime: '2018-09-28 15:49:55',
            updateAccountId: 0,
            isDeleted: '0',
            createTime: '2018-09-19 19:36:15',
            permissions: null,
            name: 'AGM9',
            id: 12,
            createTimeName: '2018-09-19 19:36:15',
            status: '1',
          },
        ],
        pageNum: 1,
        navigatePages: 8,
        total: 21,
        pages: 3,
        size: 10,
        firstPage: 1,
        isLastPage: false,
        hasPreviousPage: false,
        isFirstPage: true,
      },
    });
  },
  // 角色所有
  'GET /api/crs/v1/role/pageList': (req, res) => {
    res.send({
      code: '000',
      data: [],
      msg: '成功',
    });
  },

  'GET /api/crs/v1/role/list': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        total: 100,
        list: [
          {
            name: 'admin',
            description: '测试',
            status: 0,
            id: '222',
          },
          {
            name: 'agm',
            description: '测试',
            status: 1,
            id: '222',
          },
        ],
      },
    });
  },

  // 用户列表
  'POST /api/crs/v1/employ/accountInfoList': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        pageNum: 1,
        pageSize: 10,
        total: 100,
        pages: 1,
        list: [
          {
            id: 1,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: 0,
          },
          {
            id: 2,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: 1,
          },
          {
            id: 3,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: null,
          },
        ],
      },
    });
  },
  // /api/crs/v1/role/add
  'POST /api/crs/v1/role/add': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: [],
    });
  },
  //   /api/crs/v1/role/update  编辑角色信息
  'POST /api/v1/role/update': {
    mockType: 5,
    code: '000',
    msg: '成功',
    data: [],
  },
  //   /api/crs/v1/employ/update   编辑用户信息
  'POST /api/crs/v1/employ/update': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: [],
    });
  },

  //   /api/crs/v1/employ/add
  'POST /api/crs/v1/employ/add': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: [],
    });
  },
  // /api/crs/v1/employ/get   获取用户信息
  'GET /api/crs/v1/employ/get': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        id: 1,
        userName: 'nz',
        account: '13325542336',
        email: 'dddd@oyohotels.cn',
        cardId: '21311185998498469',
        bankName: '中国银行',
        bankId: '1644964161',
        hotelId: '17782',
        hotelName: 'oyo',
        position: '经理',
        state: '华东',
        cityGroup: '苏北',
        city: '上海',
        status: 1,
      },
    });
  },

  // /api/crs/v1/employ/get   获取用户信息
  'GET /api/crs/v1/employ/list': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        list: [
          {
            id: 1,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: 0,
          },
          {
            id: 2,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: 1,
          },
          {
            id: 3,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: 2,
          },
          {
            id: 4,
            userName: 't',
            phone: '13333333333',
            email: '1.@123.com',
            account: 'admin',
            createTime: '2018-11-10 12:00:00',
            loginTime: '2018-11-10 12:20:00',
            status: null,
          },
        ],
      },
    });
  },

  //     获取角色详情
  'GET /api/crs/v1/role/get': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: {
        empolyeeId: ['admin', 'HMPM'],
        name: 'AGM2',
        description: '测试',
        flag: 1,
        numLimit: '10',
        pmsStatus: 0,
        crsStatus: 1,
        status: 1,
        permissionList: ['CRS1', 'CRS2', 'CRS3'],
      },
    });
  },
  // 获取下属角色 /api/v1/role/rolesByEmployeeId
  'GET /api/v1/role/rolesByEmployeeId': {
    mockType: 5,
    code: '000',
    msg: '成功',
    data: [
      {
        roleId: 'admin',
        roleName: '管理员',
      },
      {
        roleId: 'HMPM',
        roleName: '酒店经理用户',
      },
      {
        roleId: 'HOO',
        roleName: 'HOO用户',
      },
      {
        roleId: 'ad',
        roleName: '管理员',
      },
      {
        roleId: 'HM',
        roleName: '酒店经理用户',
      },
      {
        roleId: 'HO',
        roleName: 'HOO用户',
      },
    ],
  },

  //  api/crs/v1/permission/list
  'GET /api/crs/v1/permission/list': (req, res) => {
    res.send({
      code: '000',
      data: {
        CRS: [
          {
            code: 'CRS',
            parentCode: '0',
            name: 'CRS',
            description: 'CRS系统',
            id: 47,
            childPermission: [
              {
                code: 'CRS1',
                parentCode: 'CRS',
                name: '新增订单',
                description: '新增订单',
                id: 48,
                childPermission: null,
                type: 'NAVBAR',
              },
              {
                code: 'CRS2',
                parentCode: 'CRS',
                name: '新增酒店',
                description: '新增酒店',
                id: 49,
                childPermission: null,
                type: 'NAVBAR',
              },
              {
                code: 'CRS3',
                parentCode: 'CRS',
                name: '订单管理',
                description: '订单管理',
                id: 50,
                childPermission: [
                  {
                    code: 'CRS3.1',
                    parentCode: 'CRS3',
                    name: '订单列表',
                    description: '订单列表',
                    id: 51,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'CRS3.2',
                    parentCode: 'CRS3',
                    name: '订单详情菜单',
                    description: '订单详情菜单',
                    id: 52,
                    childPermission: [
                      {
                        code: 'CRS3.2.1',
                        parentCode: 'CRS3.2',
                        name: '订单详情',
                        description: '订单详情',
                        id: 53,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS3.2.2',
                        parentCode: 'CRS3.2',
                        name: '房单详情',
                        description: '房单详情',
                        id: 54,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS3.2.3',
                        parentCode: 'CRS3.2',
                        name: '账单详情',
                        description: '账单详情',
                        id: 55,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'CRS4',
                parentCode: 'CRS',
                name: '价格策略',
                description: '价格策略',
                id: 56,
                childPermission: [
                  {
                    code: 'CRS4.1',
                    parentCode: 'CRS4',
                    name: '价格策略列表',
                    description: '价格策略列表',
                    id: 57,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'CRS4.2',
                    parentCode: 'CRS4',
                    name: '价格策略新增',
                    description: '价格策略新增',
                    id: 58,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'CRS4.3',
                    parentCode: 'CRS4',
                    name: '价格策略编辑',
                    description: '价格策略编辑',
                    id: 59,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'CRS5',
                parentCode: 'CRS',
                name: '权限管理',
                description: '权限管理',
                id: 60,
                childPermission: [
                  {
                    code: 'CRS5.1',
                    parentCode: 'CRS5',
                    name: '角色管理',
                    description: '角色管理',
                    id: 61,
                    childPermission: [
                      {
                        code: 'CRS5.1.1',
                        parentCode: 'CRS5.1',
                        name: '设置角色',
                        description: '设置角色',
                        id: 62,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS5.1.2',
                        parentCode: 'CRS5.1',
                        name: '新增角色',
                        description: '新增角色',
                        id: 63,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                  {
                    code: 'CRS5.2',
                    parentCode: 'CRS5',
                    name: '用户管理',
                    description: '用户管理',
                    id: 64,
                    childPermission: [
                      {
                        code: 'CRS5.2.1',
                        parentCode: 'CRS5.2',
                        name: '设置用户',
                        description: '设置用户',
                        id: 65,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS5.2.2',
                        parentCode: 'CRS5.2',
                        name: '新增用户',
                        description: '新增用户',
                        id: 66,
                        childPermission: null,
                        type: 'NAVBAR',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'CRS6',
                parentCode: 'CRS',
                name: '渠道管理',
                description: '渠道管理',
                id: 67,
                childPermission: [
                  {
                    code: 'CRS6.1',
                    parentCode: 'CRS6',
                    name: '渠道列表',
                    description: '渠道列表',
                    id: 68,
                    childPermission: [
                      {
                        code: 'CRS6.1.1',
                        parentCode: 'CRS6.1',
                        name: '新增渠道按钮',
                        description: '新增渠道按钮',
                        id: 69,
                        childPermission: null,
                        type: 'BUTTON',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'CRS7',
                parentCode: 'CRS',
                name: '酒店管理',
                description: '酒店管理',
                id: 74,
                childPermission: [
                  {
                    code: 'CRS7.1',
                    parentCode: 'CRS7',
                    name: '酒店列表',
                    description: '酒店列表',
                    id: 75,
                    childPermission: [
                      {
                        code: 'CRS7.1.1',
                        parentCode: 'CRS7.1',
                        name: '更新酒店状态按钮',
                        description: '更新酒店状态按钮',
                        id: 76,
                        childPermission: null,
                        type: 'BUTTON',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                  {
                    code: 'CRS7.2',
                    parentCode: 'CRS7',
                    name: '酒店信息面板',
                    description: '酒店信息面板',
                    id: 77,
                    childPermission: [
                      {
                        code: 'CRS7.2.1',
                        parentCode: 'CRS7.2',
                        name: '酒店基础信息',
                        description: '酒店基础信息',
                        id: 78,
                        childPermission: [
                          {
                            code: 'CRS7.2.1.1',
                            parentCode: 'CRS7.2.1',
                            name: '酒店基础信息详情',
                            description: '酒店基础信息详情',
                            id: 79,
                            childPermission: null,
                            type: 'NAVBAR',
                          },
                          {
                            code: 'CRS7.2.1.2',
                            parentCode: 'CRS7.2.1',
                            name: '酒店基础信息详情编辑按钮',
                            description: '酒店基础信息详情编辑按钮',
                            id: 80,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                          {
                            code: 'CRS7.2.1.3',
                            parentCode: 'CRS7.2.1',
                            name: '测试按钮',
                            description: '测试按钮',
                            id: 80,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS7.2.2',
                        parentCode: 'CRS7.2',
                        name: '酒店房型管理',
                        description: '酒店房型管理',
                        id: 81,
                        childPermission: [
                          {
                            code: 'CRS7.2.2.1',
                            parentCode: 'CRS7.2.2',
                            name: '酒店房型管理编辑按钮',
                            description: '酒店房型管理编辑按钮',
                            id: 82,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS7.2.3',
                        parentCode: 'CRS7.2',
                        name: '酒店房型设施',
                        description: '酒店房型设施',
                        id: 83,
                        childPermission: [
                          {
                            code: 'CRS7.2.3.1',
                            parentCode: 'CRS7.2.3',
                            name: '酒店房型设施编辑按钮',
                            description: '酒店房型设施编辑按钮',
                            id: 84,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS7.2.4',
                        parentCode: 'CRS7.2',
                        name: '酒店合约及银行账号',
                        description: '酒店合约及银行账号',
                        id: 85,
                        childPermission: [
                          {
                            code: 'CRS7.2.4.1',
                            parentCode: 'CRS7.2.4',
                            name: '酒店合约及银行账号编辑按钮',
                            description: '酒店合约及银行账号编辑按钮',
                            id: 86,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS7.2.5',
                        parentCode: 'CRS7.2',
                        name: '基准价管理',
                        description: '基准价管理',
                        id: 87,
                        childPermission: [
                          {
                            code: 'CRS7.2.5.1',
                            parentCode: 'CRS7.2.5',
                            name: '基准价管理编辑按钮',
                            description: '基准价管理编辑按钮',
                            id: 88,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                      {
                        code: 'CRS7.2.6',
                        parentCode: 'CRS7.2',
                        name: '价格策略管理',
                        description: '价格策略管理',
                        id: 89,
                        childPermission: [
                          {
                            code: 'CRS7.2.6.1',
                            parentCode: 'CRS7.2.6',
                            name: '价格策略管理编辑按钮',
                            description: '价格策略管理编辑按钮',
                            id: 90,
                            childPermission: null,
                            type: 'BUTTON',
                          },
                        ],
                        type: 'NAVBAR',
                      },
                    ],
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
            ],
            type: 'SYSTEM',
          },
        ],
        PMS: [
          {
            code: 'PMS',
            parentCode: '0',
            name: 'PMS',
            description: 'PMS系统',
            id: 19,
            childPermission: [
              {
                code: 'PMS1',
                parentCode: 'PMS',
                name: '房态',
                description: '房态',
                id: 20,
                childPermission: [
                  {
                    code: 'PMS1.1',
                    parentCode: 'PMS1',
                    name: '房态图',
                    description: '房态图',
                    id: 32,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS1.2',
                    parentCode: 'PMS1',
                    name: '房态表',
                    description: '房态表',
                    id: 73,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'PMS2',
                parentCode: 'PMS',
                name: '订单管理',
                description: '订单管理',
                id: 21,
                childPermission: [
                  {
                    code: 'PMS2.1',
                    parentCode: 'PMS2',
                    name: '订单列表',
                    description: '订单管理菜单',
                    id: 26,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS2.2',
                    parentCode: 'PMS2',
                    name: '新增订单',
                    description: '订单管理菜单',
                    id: 27,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS2.3',
                    parentCode: 'PMS2',
                    name: '上门入住',
                    description: '上门入住',
                    id: 33,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS2.4',
                    parentCode: 'PMS2',
                    name: '订单详情',
                    description: '订单详情',
                    id: 34,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS2.5',
                    parentCode: 'PMS2',
                    name: '订单详情',
                    description: '订单详情 已取消',
                    id: 35,
                    childPermission: null,
                    type: 'LINK',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'PMS3',
                parentCode: 'PMS',
                name: '在住管理',
                description: '在住管理',
                id: 22,
                childPermission: [
                  {
                    code: 'PMS3.1',
                    parentCode: 'PMS3',
                    name: '在住列表',
                    description: '在住管理菜单',
                    id: 28,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS3.2',
                    parentCode: 'PMS3',
                    name: '订单信息',
                    description: '在住详情',
                    id: 36,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.3',
                    parentCode: 'PMS3',
                    name: '在住详情',
                    description: '在住详情',
                    id: 37,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.4',
                    parentCode: 'PMS3',
                    name: '账单/退房',
                    description: '在住详情',
                    id: 38,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.5',
                    parentCode: 'PMS3',
                    name: '续住订单',
                    description: '在住详情',
                    id: 39,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.6',
                    parentCode: 'PMS3',
                    name: '历史在住',
                    description: '历史在住',
                    id: 45,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.7',
                    parentCode: 'PMS3',
                    name: '今日预离',
                    description: '今日预离',
                    id: 46,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS3.8',
                    parentCode: 'PMS3',
                    name: '全部房单',
                    description: '全部房单',
                    id: 72,
                    childPermission: null,
                    type: 'LINK',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'PMS4',
                parentCode: 'PMS',
                name: '报表管理',
                description: '报表管理',
                id: 23,
                childPermission: [
                  {
                    code: 'PMS4.2',
                    parentCode: 'PMS4',
                    name: '财务汇总报表',
                    description: '报表管理菜单',
                    id: 29,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS4.3',
                    parentCode: 'PMS4',
                    name: '营收报表',
                    description: '报表管理菜单',
                    id: 30,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS4.5',
                    parentCode: 'PMS4',
                    name: '创建交班',
                    description: '侧栏交接班',
                    id: 40,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS4.4',
                    parentCode: 'PMS4',
                    name: '交班历史列表',
                    description: '报表管理菜单',
                    id: 41,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS4.6',
                    parentCode: 'PMS4',
                    name: '交班报表',
                    description: '交班历史列表',
                    id: 42,
                    childPermission: null,
                    type: 'LINK',
                  },
                  {
                    code: 'PMS4.1',
                    parentCode: 'PMS4',
                    name: '营收分析',
                    description: '营收分析',
                    id: 70,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                  {
                    code: 'PMS4.7',
                    parentCode: 'PMS4',
                    name: '小米POS账单',
                    description: '小米POS账单',
                    id: 91,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'PMS5',
                parentCode: 'PMS',
                name: '客户管理',
                description: '客户管理',
                id: 24,
                childPermission: null,
                type: 'NAVBAR',
              },
              {
                code: 'PMS6',
                parentCode: 'PMS',
                name: '系统设置',
                description: '系统设置',
                id: 25,
                childPermission: [
                  {
                    code: 'PMS6.1',
                    parentCode: 'PMS6',
                    name: '更改房价',
                    description: '更改房价',
                    id: 71,
                    childPermission: null,
                    type: 'NAVBAR',
                  },
                ],
                type: 'NAVBAR',
              },
              {
                code: 'PMS7',
                parentCode: 'PMS',
                name: '夜审管理',
                description: '夜审管理',
                id: 43,
                childPermission: [
                  {
                    code: 'PMS7.1',
                    parentCode: 'PMS7',
                    name: '夜审',
                    description: '侧栏夜审',
                    id: 44,
                    childPermission: null,
                    type: 'LINK',
                  },
                ],
                type: 'LINK',
              },
            ],
            type: 'SYSTEM',
          },
        ],
      },
      msg: '成功',
    });
  },
  'POST /api/crs/v1/role/getHotelRolePageList': (req, res) => {
    res.send({
      code: '000',
      msg: '成功',
      data: [
        {
          hotelId: 36861,
          hotelName: 'OYO 36861 凰宾馆',
          roleId: 1,
          roleName: '经理',
          pkId: 6,
          id: 190,
          status: 1,
        },
        {
          hotelId: 36862,
          hotelName: 'OYO 36862 宾馆',
          roleId: 2,
          roleName: '客服经理',
          pkId: 6,
          id: 191,
          status: 1,
        },
        {
          hotelId: 36863,
          hotelName: 'OYO 36863 宾馆',
          roleId: 3,
          roleName: '前台',
          pkId: 6,
          id: 193,
          status: 1,
        },
      ],
    });
  },
};
