---
order: 0
title: 酒店搜索信息录入组件
---

用于酒店搜索功能【本身不带搜索功能】
支持酒店id 酒店name oyoId

---------------------------------------------------------------------------
````jsx
import HotelInput from '@/components/HotelInput/HotelInput';

// 输入框录入时触发
function onChange (val) {
 console.log(val)
}

// 支持酒店id 酒店name oyoId 三种模式的切换
ReactDOM.render(
  <HotelInput
    ref={ref => {
      this.HotelInputRef = ref;
    }}
    onChange={onChange(val)}
  />,
  mountNode,
);

// 固定某种方式搜索
ReactDOM.render(
  <HotelInput
    type="0"
    ref={ref => {
      this.HotelInputRef = ref;
    }}
    onChange={onChange(val)}
  />,
  mountNode,
);

// 清除数据
this.HotelInputRef.resetVal();
````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| type  | string |  无 | '0': 酒店名称查询 '1': 酒店ID查询  '2': OYO ID查询|
| defaultValue  | string  | 无 | 默认value |
| onChange  | function  | 无 | 切换select或者更改值之后返回 |

-------------------------------------------------------------------