import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const HOTEL_TYPE = [
  {
    value: null,
    name: '全部',
  },
  {
    value: 1,
    name: '直营',
  },
  {
    value: 2,
    name: '加盟',
  },
  {
    value: 3,
    name: '测试',
  },
  {
    value: 4,
    name: 'EGM',
  },
];

const HOTEL_TYPE_OPTION = HOTEL_TYPE.map((item, key) => (
  <Option value={item.value} key={`HOTEL_TYPE-${key}`}>
    {item.name}
  </Option>
));

// 协议类型
const COOPERATION_TYPE = [
  {
    label: '全部',
    value: 0,
  },
  {
    label: 'china 2.0',
    value: 1,
  },
  {
    label: '非china 2.0',
    value: 2,
  },
];

const COOPERATION_TYPE_OPTION = COOPERATION_TYPE.map((item, index) => (
  <Option value={item.value} key={`COOPERATION_TYPE-${index}`}>
    {item.label}
  </Option>
));

export { HOTEL_TYPE, HOTEL_TYPE_OPTION, COOPERATION_TYPE, COOPERATION_TYPE_OPTION };
