import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const CHECK_IN_TYPE = [
  {
    value: null,
    name: '全部',
  },
  {
    value: 1,
    name: '全天房',
  },
  {
    value: 2,
    name: '钟点房',
  },
];

const CHECK_IN_TYPE_OPTION = CHECK_IN_TYPE.map((item, key) => (
  <Option value={item.value} key={`CHECK_IN_TYPE-${key}`}>
    {item.name}
  </Option>
));

export { CHECK_IN_TYPE, CHECK_IN_TYPE_OPTION };
