// TO_ONLINE(0, "待上线"),
// LIVE(2, "live"),
// ACTIVE(3, "上线"),
// ON_HOLD(4, "冻结"),
// OFF_LINE/BLOCK(5, "离线"),
// SOLD_OUT(6, "售罄")
// SUSPEND(7, "歇业");

const HOTEL_STATUS = [
  {
    status: '0',
    name: '待上线',
  },
  {
    status: '3',
    name: '上线',
  },
  {
    status: '4',
    name: '下线冻结=on hold',
  },
  {
    status: '5',
    name: '下线离线=block',
  },
  {
    status: '6',
    name: '下线售罄=sold_out',
  },
  {
    status: '7',
    name: '下线歇业=suspend',
  },
];

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getNameFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(HOTEL_STATUS);
  return obj[status] ? obj[status].name : '未知类型';
};

export { HOTEL_STATUS, getNameFromStatus };
