//  import  zhMessages  from  '../../locales/zh.json';

export default {
  'menu.order.houseTypeManagement': '盖盖哦',
  'navbar.lang': 'English',
  menu: '首页',
  'menu.home': '首页',
  'menu.dashboard': 'Dashboard',
  'menu.dashboard.analysis': '分析页',
  'menu.dashboard.monitor': '监控页',
  'menu.dashboard.workplace': '工作台',
  'menu.form': '表单页',
  'menu.form.basicform': '基础表单',
  'menu.form.stepform': '分步表单',
  'menu.form.stepform.info': '分步表单（填写转账信息）',
  'menu.form.stepform.confirm': '分步表单（确认转账信息）',
  'menu.form.stepform.result': '分步表单（完成）',
  'menu.form.advancedform': '高级表单',
  'menu.list': '列表页',
  'menu.list.searchtable': '查询表格',
  'menu.list.basiclist': '标准列表',
  'menu.list.cardlist': '卡片列表',
  'menu.list.searchlist': '搜索列表',
  'menu.list.searchlist.articles': '搜索列表（文章）',
  'menu.list.searchlist.projects': '搜索列表（项目）',
  'menu.list.searchlist.applications': '搜索列表（应用）',
  'menu.profile': '详情页',
  'menu.profile.basic': '基础详情页',
  'menu.profile.advanced': '高级详情页',
  'menu.result': '结果页',
  'menu.result.success': '成功页',
  'menu.result.fail': '失败页',
  'menu.exception': '异常页',
  'menu.exception.not-permission': '403',
  'menu.exception.not-find': '404',
  'menu.exception.server-error': '500',
  'menu.exception.trigger': '触发错误',
  'menu.account': '个人页',
  'menu.account.center': '个人中心',
  'menu.account.settings': '个人设置',
  'menu.account.trigger': '触发报错',
  'app.home.introduce': '介绍',
  'app.analysis.test': '工专路  {no}  号店',
  'app.analysis.introduce': '指标说明',
  'app.analysis.total-sales': '总销售额',
  'app.analysis.day-sales': '日销售额',
  'app.analysis.visits': '访问量',
  'app.analysis.visits-trend': '访问量趋势',
  'app.analysis.visits-ranking': '门店访问量排名',
  'app.analysis.day-visits': '日访问量',
  'app.analysis.week': '周同比',
  'app.analysis.day': '日同比',
  'app.analysis.payments': '支付笔数',
  'app.analysis.conversion-rate': '转化率',
  'app.analysis.operational-effect': '运营活动效果',
  'app.analysis.sales-trend': '销售趋势',
  'app.analysis.sales-ranking': '门店销售额排名',
  'app.analysis.all-year': '全年',
  'app.analysis.all-month': '本月',
  'app.analysis.all-week': '本周',
  'app.analysis.all-day': '今日',
  'app.analysis.search-users': '搜索用户数',
  'app.analysis.per-capita-search': '人均搜索次数',
  'app.analysis.online-top-search': '线上热门搜索',
  'app.analysis.the-proportion-of-sales': '销售额类别占比',
  'app.analysis.channel.all': '全部渠道',
  'app.analysis.channel.online': '线上',
  'app.analysis.channel.stores': '门店',
  'app.analysis.sales': '销售额',
  'app.analysis.traffic': '客流量',
  'app.analysis.table.rank': '排名',
  'app.analysis.table.search-keyword': '搜索关键词',
  'app.analysis.table.users': '用户数',
  'app.analysis.table.weekly-range': '周涨幅',
  'app.settings.menuMap.basic': '基本设置',
  'app.settings.menuMap.security': '安全设置',
  'app.settings.menuMap.binding': '账号绑定',
  'app.settings.menuMap.notification': '新消息通知',
  'app.settings.basic.avatar': '更换头像',
  'app.settings.basic.email': '邮箱',
  'app.settings.basic.email-message': '请输入您的邮箱!',
  'app.settings.basic.nickname': '昵称',
  'app.settings.basic.nickname-message': '请输入 您的昵称!',
  'app.settings.basic.profile': '个人简介',
  'app.settings.basic.profile-message': '请输入个人简介!',
  'app.settings.basic.profile-placeholder': '个人简介',
  'app.settings.basic.country': '国家/地区',
  'app.settings.basic.country-message': '请输入您的国家或地区!',
  'app.settings.basic.geographic': '所在省市',
  'app.settings.basic.geographic-message': '请输入您的所在省市!',
  'app.settings.basic.address': '街道地址',
  'app.settings.basic.address-message': '请输入您的街道地址!',
  'app.settings.basic.phone': '联系电话',
  'app.settings.basic.phone-message': '请输入您的联系电话!',
  'app.settings.basic.update': '更新基本信息',
  'app.settings.security.strong': '强',
  'app.settings.security.medium': '中',
  'app.settings.security.weak': '弱',
  'app.settings.security.password': '账户密码',
  'app.settings.security.password-description': '当前密码强度：',
  'app.settings.security.phone': '密保手机',
  'app.settings.security.phone-description': '已绑定手机：',
  'app.settings.security.question': '密保问题',
  'app.settings.security.question-description': '未设置密保问题，密保问题可有效保护账户安全',
  'app.settings.security.email': '备用邮箱',
  'app.settings.security.email-description': '已绑定邮箱：',
  'app.settings.security.mfa': 'MFA 设备',
  'app.settings.security.mfa-description': '未绑定 MFA 设备，绑定后，可以进行二次确认',
  'app.settings.security.modify': '修改',
  'app.settings.security.set': '设置',
  'app.settings.security.bind': '绑定',
  'app.settings.binding.taobao': '绑定淘宝',
  'app.settings.binding.taobao-description': '当前未绑定淘宝账号',
  'app.settings.binding.alipay': '绑定支付宝',
  'app.settings.binding.alipay-description': '当前未绑定支付宝账号',
  'app.settings.binding.dingding': '绑定钉钉',
  'app.settings.binding.dingding-description': '当前未绑定钉钉账号',
  'app.settings.binding.bind': '绑定',
  'app.settings.notification.password': '账户密码',
  'app.settings.notification.password-description': '其他用户的消息将以站内信的形式通知',
  'app.settings.notification.messages': '系统消息',
  'app.settings.notification.messages-description': '系统消息将以站内信的形式通知',
  'app.settings.notification.todo': '账户密码',
  'app.settings.notification.todo-description': '账户密码',
  'app.settings.open': '开',
  'app.settings.close': '关',
  'app.exception.back': '返回首页',
  'app.exception.description.403': '抱歉，你无权访问该页面',
  'app.exception.description.404': '抱歉，你访问的页面不存在',
  'app.exception.description.500': '抱歉，服务器出错了',
  'app.result.error.title': '提交失败',
  'app.result.error.description': '请核对并修改以下信息后，再重新提交。',
  'app.result.error.hint-title': '您提交的内容有如下错误：',
  'app.result.error.hint-text1': '您的账户已被冻结',
  'app.result.error.hint-btn1': '立即解冻',
  'app.result.error.hint-text2': '您的账户还不具备申请资格',
  'app.result.error.hint-btn2': '立即升级',
  'app.result.error.btn-text': '返回修改',
  'app.result.success.title': '提交成功',
  'app.result.success.description':
    '提交结果页用于反馈一系列操作任务的处理结果， 如果仅是简单操作，使用 Message 全局提示反馈即可。 本文字区域可以展示简单的补充说明，如果有类似展示 “单据”的需求，下面这个灰色区域可以呈现比较复杂的内容。',
  'app.result.success.operate-title': '项目名称',
  'app.result.success.operate-id': '项目 ID：',
  'app.result.success.principal': '负责人：',
  'app.result.success.operate-time': '生效时间：',
  'app.result.success.step1-title': '创建项目',
  'app.result.success.step1-operator': '曲丽丽',
  'app.result.success.step2-title': '部门初审',
  'app.result.success.step2-operator': '周毛毛',
  'app.result.success.step2-extra': '催一下',
  'app.result.success.step3-title': '财务复核',
  'app.result.success.step4-title': '完成',
  'app.result.success.btn-return': '返回列表',
  'app.result.success.btn-project': '查看项目',
  'app.result.success.btn-print': '打印',
  'app.setting.pagestyle': '整体风格设置',
  'app.setting.pagestyle.dark': '暗色菜单风格',
  'app.setting.pagestyle.light': '亮色菜单风格',
  'app.setting.content-width': '内容区域宽度',
  'app.setting.content-width.fixed': '定宽',
  'app.setting.content-width.fluid': '流式',
  'app.setting.themecolor': '主题色',
  'app.setting.themecolor.dust': '薄暮',
  'app.setting.themecolor.volcano': '火山',
  'app.setting.themecolor.sunset': '日暮',
  'app.setting.themecolor.cyan': '明青',
  'app.setting.themecolor.green': '极光绿',
  'app.setting.themecolor.daybreak': '拂晓蓝（默认）',
  'app.setting.themecolor.geekblue': '极客蓝',
  'app.setting.themecolor.purple': '酱紫',
  'app.setting.navigationmode': '导航模式',
  'app.setting.sidemenu': '侧边菜单布局',
  'app.setting.topmenu': '顶部菜单布局',
  'app.setting.fixedheader': '固定 Header',
  'app.setting.fixedsidebar': '固定侧边菜单',
  'app.setting.fixedsidebar.hint': '侧边菜单布局时可配置',
  'app.setting.hideheader': '下滑时隐藏 Header',
  'app.setting.hideheader.hint': '固定 Header 时可配置',
  'app.setting.othersettings': '其他设置',
  'app.setting.weakmode': '色弱模式',
  'app.setting.copy': '拷贝设置',
  'app.setting.copyinfo': '拷贝成功，请到 src/defaultSettings.js 中替换默认配置',
  'app.setting.production.hint':
    '配置栏只在开发环境用于预览，生产环境不会展现，请拷贝后手动修改配置文件',
  'menu.order': '订单管理',
  'menu.order.create': '新增订单',
  'menu.order.list': '订单列表',
  'menu.order.detail': '订单列表',
  'menu.order.detail.order': '订单详情',
  'menu.order.detail.room': '房单详情',
  'menu.order.detail.bill': '账单详情',
  'menu.order.detail.journal': '日志',
  'menu.order.supplement': '补录订单',
  'menu.order.complaint': '申诉列表',
  'menu.order.errorHandle': '差错订单修复',
  'menu.order.daily': '日常管理',
  'menu.order.highBooking': '批量处理跳高单',
  'menu.order.handleExceptionTask': '操作异常申诉任务',
  'menu.order.preventCID': '预防CID',
  'menu.hotel': '酒店信息',
  'menu.hotel.synchronize': '同步酒店',
  'menu.channel': '渠道管理',
  'menu.channel.list': '渠道列表',
  'menu.price': '价格策略',
  'menu.price.list': '价格策略列表',
  'menu.price.create': '新增价格策略',
  'menu.permission': '权限管理',
  'menu.permission.role': '角色管理',
  'menu.permission.roleAdd': '新增角色',
  'menu.permission.roleEdit': '设置角色',
  'menu.permission.user': '用户管理',
  'menu.permission.userInfo': '用户详情',
  'menu.permission.userAdd': '新增用户',
  'menu.permission.userEdit': '设置用户',
  'menu.permission.batchAdd': '批量新增',
  'menu.hotelManage.basePrice': '调价范围限制',

  'menu.permission.roleQuery': '角色查看',
  'menu.hotelManage': '酒店管理',
  'menu.hotelManage.hotelRoomChange': '房态变更',
  'menu.hotelManage.hotelWifi': '酒店WiFi综合管理',

  'menu.hotelManage.hotelCreate': '同步酒店',
  'menu.hotelManage.hotelList': '酒店列表',
  'menu.hotelManage.hotelCreateEdit': '酒店详情',
  'menu.hotelManage.customerService': 'NPS客服评论录入',
  'menu.hotelManage.batchUpload': '批量上传更新',
  'menu.hotelManage.batchAssociate': '渠道和价格策略变更',
  'menu.hotelManage.commentManage': '点评管理',

  'menu.hotelManage.nearby': '查询附近的酒店',
  'menu.basicInfo': '基础信息',
  'menu.basicInfo.basicInfo': '基础信息数据配置',
  'menu.basicInfo.salesmanDetail': '销售员详情',
  'menu.basicInfo.salesmanSet': '销售员设置',
  'menu.hotelManage.hotelCreateEdit.hotelCreateEdit': '酒店信息面板',
  'menu.hotelManage.hotelCreateEdit.basicInfoDetail': '酒店信息详情',
  'menu.hotelManage.hotelCreateEdit.housePicHandler': '图片管理',
  'menu.hotelManage.hotelCommentTag': '评论标签',
  'menu.hotelManage.hotelCreateEdit.houseFacilities': '房型设施',
  'menu.hotelManage.hotelCreateEdit.houseFacilities.query': '浏览',
  'menu.hotelManage.hotelCreateEdit.houseFacilities.update': '编辑',
  'menu.hotelManage.hotelCreateEdit.hotelRoomStatusType': '酒店签约房态',
  // 财务模块
  'menu.financial': '财务管理',
  'menu.financial.statements': '商户对账单',
  'menu.financial.statements.adjust': '调整项',
  'menu.financial.statements.scheduleOfRates': '费率表',
  'menu.financial.statements.filterMerchantInformationList': '过滤商户信息列表',
  'menu.financial.statements.accountsDataReport': '账期对账报表下载',
  'menu.financial.statements.accountdata': '账期数据',
  'menu.financial.bill': '自动对账',
  'menu.financial.bill.list': '对账',
  'menu.financial.bill.errorHandling': '差错处理',
  'menu.financial.bill.capital': '资金核销',
  'menu.financial.bill.result': '对账结果查询',
  'menu.financial.bill.query': '对账单交易查询',
  'menu.financial.bill.cancellationFunds': '资金核销',
  'menu.financial.refund': '退款',
  'menu.financial.bill.hotelInfo': '周结酒店信息匹配表',
  'menu.financial.outMoney': '出款',
  'menu.financial.outMoney.withdraw': '提现退款管理',
  'menu.financial.outMoney.weekly': '周结管理',
  'menu.financial.outMoney.manage': '出款管理',
  'menu.financial.outMoney.merchant': '商户结算信息表',
  'menu.financial.outMoney.citicTransfer': '中信银行内部转账',
  'menu.financial.bankAccount': '银行账户管理',
  'menu.financial.bankAccount.balanceEntry': '余额录入',
  'menu.financial.bankAccount.accountQuery': '账户查询/修改',
  'menu.financial.accountEntry': 'SAP自动入账',
  'menu.financial.bankAccount.bankBills': '银行流水账单',
  'menu.financial.bankAccount.bankFlow': '银行流水',
  'menu.financial.bankAccount.bankFlowDetail': '银行流水详情',
  'menu.financial.bankAccount.otherFundsTypeConfirmation': '其他资金类型确认',
  'menu.financial.bankAccount.capitalAllocationConfirmation': '资金调拨确认',
  'menu.financial.bankAccount.bankWaterAudit': '银行流水审核',
  'menu.financial.bankAccount.fundingConfiguration': '资金类型配置',
  'menu.financial.bankAccount.analyticalRules': '解析规则配置',
  'menu.financial.accountEntry.template': '凭证模板配置',
  'menu.financial.outMoney.directPayment': '直连出款管理',
  'menu.financial.outMoney.accountsReceivable': '出款对账',
  'menu.financial.outMoney.accountsReceivable.detailsReceipt': '明细及回单查看',
  'menu.financial.outMoney.accountsReceivable.detailedReconciliation': '明细对账',
  'menu.financial.outMoney.accountsReceivable.reconciliationOfFunds': '资金对账',
  'menu.financial.outMoney.accountBalance': '账户余额查询',
  'menu.financial.outMoney.interbankInformation': '联行信息查询',
  'menu.financial.informationMaintenance': '信息维护表',
  'menu.financial.informationMaintenance.virtualAccount': '虚拟账号维护',
  'menu.financial.expenseManagement': '费用管理',
  'menu.financial.expenseManagement.budgetEntry': '预算录入',
  'menu.financial.expenseManagement.costAdjustment': '费用调整',
  'menu.financial.expenseManagement.costCancellation': '费用核销',
  'menu.financial.expenseManagement.feeSettlement': '费用结算',
  'menu.financial.expenseManagement.costReconciliation': '费用对账',

  // 支付模块
  'menu.payment': '支付管理',
  'menu.payment.refund': '退款',
  'menu.payment.settlement': '商户结算',
  'menu.payment.paymentReconciliationOfBills': '支付-对账单对账',
  'menu.payment.paymentReconciliationOfBills.errorHandling': '差错处理',
  'menu.payment.paymentReconciliationOfBills.statementList': '对账结果查询',
  'menu.payment.automaticRefundProcessing': '自动退款处理',
  'menu.payment.supplement': '支付掉单',
  'menu.payment.transactionQuery': '交易查询',

  // PMS运营管理
  'menu.notice': 'PMS运营管理',
  'menu.notice.noticeList': '通知公告',
  'menu.notice.doorLock': '门锁适配',
  'menu.notice.upload': 'China2.0酒店配置管理',
  'menu.notice.managePmsApp': '管理PMS应用',
  'menu.notice.HMIConfigure': 'HMI配置',
  'menu.notice.PMSFuncConfigure': 'HMI酒店批量关联',
  'menu.notice.whiteList': 'PMS酒店功能配置',

  // 设备中心
  'menu.equipment': '设备中心',
  'menu.equipment.dataDashboard': '数据仪表',
  'menu.equipment.dataDashboardDetail': '数据仪表',
  'menu.equipment.dataDashboardDetail.equipmentMonitor': '智能锁酒店',
  'menu.equipment.dataDashboardDetail.equipmentMonitorDetail': '智能锁酒店 / 智能锁酒店明细',
  'menu.equipment.dataDashboardDetail.hardwareMonitor': '硬件稳定性监控列表',
  'menu.equipment.dataDashboardDetail.hardwareMonitorDetail':
    '硬件稳定性监控列表 / 硬件稳定性监控明细',
  'menu.equipment.dataDashboardDetail.profitMonitor': '收益泄露预警酒店',
  'menu.equipment.dataDashboardDetail.profitMonitorDetail':
    '收益泄露预警酒店 / 收益泄露预警酒店明细',
  'menu.equipment.IDCardDeviceLog': '身份证设备',
};
