import { fetch, authFetch, transAuthFetch } from '@/utils/fetch';

// 校验输入的oyoIds
export function checkOyoId(params) {
  //
  return authFetch(`/api/crs/price/limit/checkOyoId`, {
    params,
    method: 'GET',
  });
}

// 提交修改调价范围
export function commitLimitPrice(params) {
  //
  return authFetch(`/api/crs/price/limit/commitLimitPrice`, {
    params,
    method: 'POST',
  });
}

// 获取修改限价的操作日志
export function queryLimitPriceLog(params) {
  //
  return authFetch(`/api/crs/price/limit/queryLimitPriceLog`, {
    params,
    method: 'GET',
  });
}
