import CitySelect from '@/components/CitySelect';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import { uploadControlPriceFile } from '../service';

import { Badge, Button, Card, Col, Form, Input, message, Row, Select, Table, Tabs } from 'antd';
import { connect } from 'dva';
import React, { PureComponent } from 'react';
import router from 'umi/router';

import ButtonAuthorized from '@/components/ButtonAuthorized';
import { getChangebasePrice } from './config';
@connect(({ user }) => ({
  user,
}))
export default class ChangebasePrice extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {};
  }

  public componentDidMount() {}

  public changeTab = () => {};
  public renderRes = res => {
    return res.msg;
  };

  public render() {
    return <OyoBatchUpload {...getChangebasePrice(this)} />;
  }
}
