import { authFetch, fetch, transAuthFetch, transAuthUpdate } from '@/utils/fetch';
interface IupExcelFile {
  params?: object;
  formData: FormData;
}

// 上传 白名单
export function uploadControlPriceFile(param: IupExcelFile) {
  const { params, formData } = param;
  return transAuthUpdate(
    `/upload/uploadWhiteList`,
    {
      params,
      formData,
      type: 2,
      method: 'POST',
    },
    'file'
  );
}
// 上传 基准价
export function uploadBasePriceFile(param: IupExcelFile) {
  const { params, formData } = param;
  return transAuthUpdate(
    `/upload/uploadFloorPrice`,
    {
      params,
      formData,
      type: 2,
      method: 'POST',
    },
    'file'
  );
}

// 上传 限制价
export function uploadLimitPriceFile(param: IupExcelFile) {
  const { params, formData } = param;
  return transAuthUpdate(
    `/upload/uploadFloorPrice`,
    {
      params,
      formData,
      type: 2,
      method: 'POST',
    },
    'file'
  );
}
