import React from 'react';
import { Radio } from 'antd';
import { dataBase } from '../../helper';

const RadioGroup = Radio.Group;

class CountDown extends React.Component {
  state = {
    status: 1,
  };

  handleChange = ({ target }) => {
    const { value } = target;
    dataBase.setStep6({ status: value });
  };

  componentDidMount() {
    dataBase.setStep6(this.state);
  }

  render() {
    const { status } = this.state;
    return (
      <div>
        <span style={{ color: '#1890FF' }}>上线状态：</span>
        <RadioGroup defaultValue={status} onChange={this.handleChange}>
          <Radio value={1}>待上线</Radio>
          <Radio value={2}>上线</Radio>
          <Radio value={3}>下线</Radio>
        </RadioGroup>
      </div>
    );
  }
}

export default CountDown;
