import React, { PureComponent } from 'react';
import { Card, Tabs } from 'antd';
import { connect } from 'dva';
import ButtonAuthorized from '@/components/ButtonAuthorized';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import DoorLock from './DoorLock';
import LockLogs from './LockLogs';

const TabPane = Tabs.TabPane;

export default class DoorLockTab extends PureComponent {
  constructor(props) {
    super(props);

    this.state = {};
  }

  componentDidMount() {}

  callback() {}

  render() {
    const { loading, tableParams, pageParams } = this.state;

    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs onChange={this.callback} type="card">
            <TabPane tab="门锁适配" key="1">
              <DoorLock />
            </TabPane>
            <TabPane tab="失效日志" key="2">
              <LockLogs />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
