import { uploadBasePriceFile } from '../service';

export function getChangebasePrice(context) {
  return {
    xlsx: '.xlsx',
    stepList: [
      {
        buttonTitle: '下载酒店ID模板',
        comments: ' 每次新增时需重新下载表格',
      },
      {
        comments:
          '填写信息：参照表格中的范例在excel中填写信息，填写完成后保存表格。（新增上限：500条/次）',
      },
      {
        buttonTitle: '上传表格',
        comments: ' 上传成功后10分钟内新增完成所有数据',
      },
    ],
    downloadUrl: './cp-template.xlsx',
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = {};

      formData.append('channelId', 1);
      return uploadBasePriceFile({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),
  };
}
