import { transAuthFetch, authFetch } from '@/utils/fetch';

// 公告-查询公告列表
export function queryNoticeList(params) {
  return authFetch(`/api/crs/notice/queryNoticeList`, {
    params,
  });
}

// 公告-查看公告详情
export function getNoticeDetail(params) {
  return authFetch(`/api/crs/notice/getNoticeDetail`, {
    params,
  });
}

// 公告-新增公告
export function addNotice(params) {
  return authFetch(`/api/crs/notice/addNotice`, {
    method: 'POST',
    params,
  });
}
