import { Modal } from 'antd';

import { uploadHotelFuncConfig } from '../service';

export default function(context) {
  return {
    xlsx: '.xls',
    isNeedTag: true,
    stepList: [
      {
        buttonTitle: '下载模版',
        comments: '每次新增时需要重新下载表格',
      },
      {
        comments: '&nbsp;&nbsp;&nbsp;填写好需上线或下线的酒店（注意不能重复）',
      },
      {
        buttonTitle: '上传表格',
        comments: '上传成功后10分钟内新增完成所有数据',
      },
    ],

    // shouldFileUpload: function(param) {
    // const { formData } = param;
    // console.log(this.OYOForm);
    //   return true;
    // }.bind(context),

    uploadFile: function(param) {
      const { control: isOnline } = this.OYOForm.getFieldsValue();

      const { PMSFuncWhiteList = {} } = this.props;
      const { selectedHotel = {} } = PMSFuncWhiteList;
      const { funcKey } = selectedHotel;
      const { formData } = param;
      const params = {};

      formData.append('funcKey', funcKey);
      formData.append('isOnline', isOnline);

      return uploadHotelFuncConfig({ formData, params }).then(res => {
        return {
          success: true,
          // dom: this.renderRes(res),
        };
      });
    }.bind(context),

    downloadUrl: './HotelFuncConfig.xls',
  };
}
