import React, { PureComponent } from 'react';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { connect } from 'dva';
import { getHightBookingHandleProps } from '../../config/highBooking';

@connect(({ user }) => ({
  user,
}))
export default class HightBookingHandle extends PureComponent {
  constructor(props) {
    super(props);
  }

  // 弹出成功或者失败msg
  renderRes = res => {
    return res.msg;
  };

  render() {
    return (
      <>
        <OyoBatchUpload {...getHightBookingHandleProps(this)} />
      </>
    );
  }
}
