import { authFetch as request, transAuthFetch } from '@/utils/fetch';

// 查询CID订单列表
export function querylistBooking(params) {
  return request(`/api/crs/v2/booking/listBooking`, {
    params,
  });
}

// CID外呼查询
export function queryCallDetail(params) {
  return request(`/api/crs/v1/cid/call/query`, {
    params,
  });
}

// 创建CID外呼
export function addCall(params) {
  return request(`/api/crs/v1/cid/call/add`, {
    params,
    method: 'POST',
  });
}

// 创建CID处理
export function addCallHandle(params) {
  return request(`/api/crs/v1/cid/handle/add`, {
    params,
    method: 'POST',
  });
}

// 创建VOC赔付
export function addCallPayout(params) {
  return request(`/api/crs/v1/cid/payout/add`, {
    params,
    method: 'POST',
  });
}

// CID处理信息查询
export function queryCIDHandle(params) {
  return request(`/api/crs/v1/cid/handle/query`, {
    params,
    method: 'POST',
  });
}
