import {
  getRoleList,
  addRole,
  editRole,
  addUser,
  getPermissionList,
  getRoleDetail,
  getUserDetail,
  editUser,
} from '../services/index';

export default {
  namespace: 'permission',
  state: {
    editRoleId: '',
    editUserId: '',
  },
  effects: {
    *toRoleEdit({ payload }, { call, put }) {
      // debugger
      yield put({
        type: 'changeEditRoleId',
        payload,
      });
    },
    *toUserEdit({ payload }, { call, put }) {
      yield put({
        type: 'changeEditUserId',
        payload,
      });
    },
  },
  reducers: {
    changeEditRoleId(state, { payload }) {
      // debugger
      return {
        ...state,
        editRoleId: payload.id,
      };
    },
    changeEditUserId(state, { payload }) {
      return {
        ...state,
        editUserId: payload.id,
      };
    },
  },
};
