const url = window.location.host;

const site = {
  account: 'http://ali-dev.ahotels.tech/Account-Service',
  finance: 'http://backend-finance-service.dev.ahotels.tech',
  payment: 'https://aliapi-dev.oyohotels.cn/payment',
  crs: `http://backend-crs-biz-service.dev.ahotels.tech`,
};

const dev = {
  account: 'http://ali-dev.ahotels.tech/Account-Service',
  finance: 'http://backend-finance-service.dev.ahotels.tech',
  payment: 'https://aliapi-dev.oyohotels.cn/payment',
  crs: 'http://backend-crs-biz-service.dev.ahotels.tech',
};

const test = {
  account: 'http://ali-test.ahotels.tech/Account-Service',
  finance: 'http://backend-finance-service.test.ahotels.tech',
  payment: 'https://aliapi-test.oyohotels.cn/payment',
  crs: 'http://ali-test.ahotels.tech/crs-biz-service',
};

const uat = {
  account: 'http://ali-uat.ahotels.tech/Account-Service',
  finance: 'http://ali.uat.ahotels.tech/finance-service/',
  payment: 'http://ali.uat.ahotels.tech/payments-service/',
  crs: 'http://ali-uat.ahotels.tech/crs-biz-service',
};

const prod = {
  account: 'http://ali.ahotels.tech/Account-Service',
  finance: 'http://backend-finance-service.ahotels.tech',
  payment: 'https://aliapi.oyohotels.cn/payment',
  crs: 'https://crsx.oyohotels.cn',
};

let download = {};
if (/localhost/.test(url)) {
  download = site;
} else if (/crsx-dev/.test(url)) {
  download = dev;
} else if (/crsx-test/.test(url)) {
  download = test;
} else if (/crsx-uat/.test(url)) {
  download = uat;
} else if (/crsx.oyohotels.cn/.test(url)) {
  download = prod;
}
export default download;
