import { fetch, authFetch, transAuthFetch } from '@/utils/fetch';

// 酒店列表搜索
/**
 *
 * @param
 * {hotelId	酒店id（支持酒店id 或 oyo_id，例如：“17782”、“CN_SZX004”）	String
hotelName	酒店名称	String
status	酒店状态（）	Integer
start	第几页	Integer
hits	每页数量（最大值500）
} params
 */
// export function getHotelList(params) {
//   //
//   return authFetch(`/api/testtest/hotellist`, {
//     params,
//     method: 'POST',
//   });
// }

export function getHotelList(params) {
  //
  return transAuthFetch(`/cn-search/search/hotelSearch`, {
    type: 6,
    params,
    method: 'POST',
  });
}

// 查询酒店操作日志
export function getHotelLogList(params) {
  return transAuthFetch(`/hotel/manage/getHotelStatusChangedLogs`, {
    type: 1,
    params,
  });
}
