import request from '@/utils/request';
import { authFetch } from '@/utils/fetch';

export async function query() {
  return request('/api/users');
}

export async function queryCurrent() {
  return request('/api/currentUser');
}

// 获取用户信息放置全局
export function getUserInfo(params) {
  // 头shan
  return authFetch(`/api/crs/v1/token/getAccount`, {
    params,
    method: 'POST',
  });
}
// 获取菜单
export function getUserMenu(params) {
  return authFetch(`/api/crs/v1/account/token/getMenu`, {
    params,
    method: 'POST',
  });
}
