let isHasBMap = false;
const MapKey = 'i7kFmYvwiMKvGzGh55UXON1t673zilnX';

export function preLoadingMap() {
  return new Promise((resolve, reject) => {
    if (isHasBMap) {
      resolve();
    } else {
      window.HOST_TYPE = '2';
      window.BMap_loadScriptTime = new Date().getTime();

      let url = `https://api.map.baidu.com/getscript?v=2.0&ak=${MapKey}&services=&t=${
        window.BMap_loadScriptTime
      }&s=1`;

      let script = document.createElement('script');

      script.charset = 'utf-8';
      script.src = url;

      document.head.appendChild(script);

      script.onload = () => {
        isHasBMap = true;
        resolve();
      };
    }
  });
}
