/* eslint-disable no-return-await */
/* eslint-disable camelcase */
const axios = require('axios');
const Host = require('../constants/Hosts');
const logger = require('./logger');

/**
 * 该文件暂时未用到～～～
 */

const instance = axios.create({
  timeout: 5000,
});

instance.interceptors.response.use(
  function(response) {
    return response;
  },
  function(error) {
    console.log('error', error);
    // 记录错误日志
    logger.error(error);
    // Do something with response error
    return Promise.reject(error);
  }
);

// 获取头部
function getHeaders(ctx) {
  const { client_id, client_type, redirect_uri, ticket, isserver, host } = ctx.req.headers;

  const headers = {
    client_id,
    client_type,
  };

  if (isserver === 'true') {
    const nodeTicket = ctx.cookies.get('nodeTicket');
    console.log('nodeTicket', nodeTicket);
    headers.ticket = nodeTicket || '';
    headers.cookie = ticket ? `ticket=${nodeTicket}` : '';
    headers.redirect_uri = host;
  } else {
    console.log('客户端请求');

    headers.ticket = ticket || '';
    headers.cookie = ticket ? `ticket=${ticket}` : '';
    headers.redirect_uri = redirect_uri;
  }

  return headers;
}

// eslint-disable-next-line no-empty-function
async function request() {}

async function transAuthGet({ type, url, map, ctx }) {
  const reqUrl = `${Host[type]}${url}`;

  return await instance({
    headers: getHeaders(ctx),
    url: reqUrl,
    method: 'GET',
    params: map,
  });
}

async function transAuthPost({ type, url, map, ctx }) {
  const reqUrl = `${Host[type]}${url}`;

  return await instance({
    headers: getHeaders(ctx),
    url: reqUrl,
    method: 'POST',
    data: map,
  });
}

module.exports = {
  request,
  transAuthGet,
  transAuthPost,
};
