const ssrRender = require('./ssrRender/index.js')
const transFetch = require('./transFetch/index.js')
const ping = require('./ping/index.js')
const Router = require('koa-router')

// const routerList = [transFetch, ssrRender]
const routerList = [ping, ssrRender]

function Routers(app) {
  var router = new Router()

  routerList.forEach(routerModule => {
    new routerModule(router).install()
  })

  app.use(router.routes()).use(router.allowedMethods())
}

module.exports = Routers
