const NameSearch = {
  code: '200',
  errorMessage: 'success',
  displayMessage: 'success',
  data: {
    displayName: null,
    searchType: '2',
    hotels: [
      {
        id: '1',
        hotel_name: '王杰大酒店',
      },
      {
        id: '2',
        hotel_name: '皮皮虾OyO',
      },
      {
        id: '3',
        hotel_name: '舅都不服就服你宾馆',
      },
      {
        id: '4',
        hotel_name: '谷老师的私人酒店',
      },
    ],
  },
};

const IdSearch = {
  code: '200',
  errorMessage: 'success',
  displayMessage: 'success',
  data: {
    displayName: null,
    searchType: '2',
    hotels: [
      {
        id: '6',
        hotel_name: '迪拜大酒店哦',
      },
      {
        id: '5',
        hotel_name: '舅都不服就服你宾馆',
      },
    ],
  },
};

const suggestHotel = (req, res) => {
  if (req.body.searchType === '1') {
    return res.json(NameSearch);
  }
  return res.json(IdSearch);
};

export default {
  'POST /api/crs/v1/open/search/suggestHotel': suggestHotel,
  'GET /api/crs/v1/common/threeLinkage': {
    code: '000',
    msg: '成功',
    data: [
      {
        stateId: 37,
        stateName: 'Guangdong',
        cityVOList: [
          {
            cityId: 550,
            cityName: 'Shenzhen',
            clusterVOList: [
              {
                clusterId: 1306,
                clusterName: 'Futian',
              },
              {
                clusterId: 1307,
                clusterName: 'Yantian',
              },
              {
                clusterId: 1308,
                clusterName: 'Longgang',
              },
              {
                clusterId: 1309,
                clusterName: 'Nanshan',
              },
              {
                clusterId: 1310,
                clusterName: "Bao'an",
              },
              {
                clusterId: 1311,
                clusterName: 'Luohu',
              },
              {
                clusterId: 1312,
                clusterName: 'Longhua',
              },
              {
                clusterId: 1313,
                clusterName: 'Pingshan',
              },
              {
                clusterId: 1314,
                clusterName: 'Dapeng',
              },
              {
                clusterId: 1315,
                clusterName: 'Guangming',
              },
            ],
          },
        ],
      },
    ],
  },
};
