const Router = require('koa-router');
const staticRender = require('./staticRender/index.js');
const ping = require('./ping/index.js');

const routerList = [ping, staticRender];

function Routers(app) {
  const router = new Router();

  routerList.forEach(RouterModule => {
    new RouterModule(router).install();
  });

  app.use(router.routes()).use(router.allowedMethods());
}

module.exports = Routers;
