declare namespace BlockSelectType {
  type easyNumberList = Array<number>;
  type range = [number, number];
  type rangeList = Array<range>;

  namespace state {
    interface listData {
      text: number | string;
      isSelect: boolean;
      isPreSelect: boolean;
    }

    type easyList = easyNumberList;

    type businessList = Array<listData>;

    type list = businessList;

    interface data {
      wrapperStyle: React.CSSProperties;
      blockStyle: React.CSSProperties;
      list: list;
      lastList: list;
      value: BlockSelectType.props.value;
      isControl: boolean;
      isInit: boolean;
      clickSwitch: boolean;
      lastSelectIndex: number;
    }
  }

  namespace props {
    interface businessData extends StrategyModel.timeLimit {}

    type easyValueList = easyNumberList;
    type businessValueList = Array<businessData>;

    type value = easyNumberList | businessValueList;

    interface data {
      value?: value;
      defalutValue?: value;
      st?: number;
      count?: number;
      onChange?: any;
    }
  }
}
