---
title: 图片缩放组件
---

用于oyo图片放大功能
支持小图时缩略size, 点击后展示原图

---------------------------------------------------------------------------
````jsx
import CowImage from '@/components/CowImage/CowImage';

const showUrl = "https://test-oyo-common-file-r.oss-cn-beijing.aliyuncs.com/permanent/product/hotel/10034366/20190604170528693716.jpg?x-oss-process=image/resize,m_lfit,w_166,h_130/sharpen,100"
const url = "https://test-oyo-common-file-r.oss-cn-beijing.aliyuncs.com/permanent/product/hotel/10034366/20190604170528693716.jpg?resourceType=0"

// 城市三级联动
ReactDOM.render(
  <CowImage 
    src={img.showUrl || img.url}
    largeSrc={img.url} 
  />,
  mountNode,
);
````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| src  | string  |  无 | 小图时渲染的url |
| largeSrc  | string  | 无 | 大图时渲染的url, 不传时则使用src |