---
title: 多项选择组件
---

用于周一到周日的选择

---------------------------------------------------------------------------
````jsx
import MultiSelection from '@/components/MultiSelection/MultiSelection';

const weekList = ['周一', '周二', '周三', '周四', '周五', '周六', '周日'];

// 输入框录入时触发
function onChange (list, listIndex) {
 console.log(list, listIndex)
}

// 支持酒店id 酒店name oyoId 三种模式的切换
ReactDOM.render(
  <MultiSelection
    value={[0, 1, 2, 3]}
    list={weekList}
    onChange={onChange}
  />,
  mountNode,
);

````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| value  | Array |  无 | 已经选择的值 |
| list  | Array  | 无 | 需要选的list |
| onChange  | function  | 无 | 切换数据之后的钩子 |