// BrandType {
//   /**
//    * 品牌类型
//    */
//   PRIME(1,"尊享"),
//   SMART(2,"smart"),
//   LIGHTLY(3,"轻享"),
//   WISDOM(4,"智享");

// 品牌线字端
const BRAND_TYPE = [
  {
    status: '1',
    name: '尊享',
  },
  {
    status: '2',
    name: 'SMART',
  },
  {
    status: '3',
    name: '轻享',
  },
  {
    status: '4',
    name: '智享',
  },
];

function formatArr(list) {
  const obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getNameFromStatus = status => {
  const obj = formatArr(BRAND_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { BRAND_TYPE, getNameFromStatus };
