// 前端定义菜单文案 以及对应code  以及菜单内的细分路由code 以及文案
const MENU_CODE_LIST = [
  {
    code: 'CRS',
    title: '宙斯系统',
  },
  {
    code: 'CRS1',
    title: '新增订单',
  },
  {
    code: 'CRS2',
    title: '同步酒店',
  },
  {
    code: 'CRS3',
    title: '订单管理',
  },
  {
    code: 'CRS3.1',
    title: '订单列表',
  },
  {
    code: 'CRS3.1.1',
    title: '订单列表订单详情入口按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.1.2',
    title: '订单列表客服评论入口按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.1.3',
    title: '创建客服评论页面',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.1.4',
    title: '差错订单修复入口按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.2',
    title: '订单详情菜单',
  },

  {
    code: 'CRS3.2.1',
    title: '订单详情',
  },
  {
    code: 'CRS3.2.1.1',
    title: '订单详情修改按钮',
  },
  {
    code: 'CRS3.2.1.2',
    title: '订单详情取消按钮',
  },
  {
    code: 'CRS3.2.1.3',
    title: '订单详情删除按钮',
  },
  {
    code: 'CRS3.2.1.4',
    title: 'CID处理',
  },
  {
    code: 'CRS3.2.1.5',
    title: 'VOC赔付',
  },
  {
    code: 'CRS3.2.1.6',
    title: 'CID处理修改',
  },
  {
    code: 'CRS3.2.2',
    title: '房单详情',
  },
  {
    code: 'CRS3.2.3',
    title: '账单详情',
  },
  {
    code: 'CRS3.2.4',
    title: '日志',
  },
  {
    code: 'CRS3.3',
    title: '补录订单',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.4',
    title: '申诉列表',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.4.1',
    title: '申诉通过按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.4.2',
    title: '申诉驳回按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.4.3',
    title: '申诉导出按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS3.5',
    title: '新增订单',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.6',
    title: '新增订单',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.7',
    title: '差错订单修复',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.8',
    title: '日常管理',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.9',
    title: '预防CID',
    type: 'NAVBAR',
  },
  {
    code: 'CRS3.9.1',
    title: '记录预防CID外呼结果',
    type: 'BUTTON',
  },
  {
    code: 'CRS4',
    title: '价格策略',
  },

  {
    code: 'CRS4.1',
    title: '价格策略列表',
  },
  {
    code: 'CRS4.1.1',
    title: '价格策略新增按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS4.2',
    title: '价格策略详情（新增与编辑）',
  },
  {
    code: 'CRS4.1.2',
    title: '价格策略编辑按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS5',
    title: '权限管理',
  },
  {
    code: 'CRS5.1',
    title: '角色管理',
  },
  {
    code: 'CRS5.1.1',
    title: '设置角色',
  },

  {
    code: 'CRS5.1.1.1',
    title: '角色状态切换按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.1.2',
    title: '新增角色',
  },
  {
    code: 'CRS5.1.3',
    title: '角色详情',
  },
  {
    code: 'CRS5.2',
    title: '用户管理',
  },
  {
    code: 'CRS5.2.1',
    title: '编辑用户',
  },
  {
    code: 'CRS5.2.1.1',
    title: '用户状态切换按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.1.2',
    title: '删除用户按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.1.3',
    title: '全部删除按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.2',
    title: '新增用户',
  },
  {
    code: 'CRS5.2.3',
    title: '用户详情',
  },
  {
    code: 'CRS5.2.4',
    title: '用户详情按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.5',
    title: '新增用户按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.6',
    title: '编辑用户按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.7',
    title: '批量新增按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS5.2.8',
    title: '批量新增',
    type: 'LINK',
  },
  {
    code: 'CRS5.2.9',
    title: '编辑头像',
    type: 'BUTTON',
  },

  {
    code: 'CRS6',
    title: '渠道管理',
  },

  {
    code: 'CRS6.1',
    title: '渠道列表',
  },
  {
    code: 'CRS6.1.1',
    title: '新增渠道按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS6.1.2',
    title: '编辑渠道按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS7',
    title: '酒店管理',
  },

  {
    code: 'CRS7.1',
    title: '酒店列表',
  },

  {
    code: 'CRS7.1.1',
    title: '更新酒店状态按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS7.1.2',
    title: '酒店查看按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.1.3',
    title: '批量上传更新按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS7.1.4',
    title: '批量上传更新页面',
  },
  {
    code: 'CRS7.1.4.1',
    title: '控价白名单模板',
  },
  {
    code: 'CRS7.1.4.2',
    title: '更改限制价模板',
  },
  {
    code: 'CRS7.1.5',
    title: '酒店操作日志按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.2',
    title: '酒店信息面板',
  },

  {
    code: 'CRS7.2.1',
    title: '酒店基础信息',
  },
  {
    code: 'CRS7.2.1.1',
    title: '酒店基础信息详情',
  },
  {
    code: 'CRS7.2.1.3',
    title: '图片管理（查看与编辑页面）',
  },
  {
    code: 'CRS7.2.1.2',
    title: '酒店基础信息详情编辑按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS7.2.1.4',
    title: 'PTI状态',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.2.2',
    title: '酒店房型管理',
  },
  {
    code: 'CRS7.2.2.1',
    title: '酒店房型管理编辑按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.2.3',
    title: '酒店房型设施',
  },

  {
    code: 'CRS7.2.3.2',
    title: '酒店房型设施查看',
    type: 'LINK',
  },
  {
    code: 'CRS7.2.3.1',
    title: '酒店房型设施编辑',
    type: 'LINK',
  },

  {
    code: 'CRS7.2.4',
    title: '酒店合约及银行账号',
  },

  {
    code: 'CRS7.2.4.1',
    title: '酒店合约及银行账号编辑按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.2.5',
    title: '基准价管理',
  },

  {
    code: 'CRS7.2.5.1',
    title: '基准价管理编辑按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS7.2.6',
    title: '价格策略管理',
  },
  {
    code: 'CRS7.2.6.1',
    title: '价格策略管理编辑按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS7.4',
    title: '同步酒店',
    type: 'NAVBAR',
  },
  {
    code: 'CRS7.7',
    title: '批量新增关联',
    type: 'NAVBAR',
  },
  {
    code: 'CRS7.11',
    title: '调价限制范围',
    type: 'NAVBAR',
  },
  {
    code: 'CRS7.11.1',
    title: '调价限制范围保存按钮',
    type: 'BUTTON',
  },
  // 财务管理
  {
    code: 'CRS8',
    title: '财务管理',
    type: 'NAVBAR',
  },
  // 财务管理-商户对账单
  {
    code: 'CRS8.1',
    title: '商户对账单',
  },

  {
    code: 'CRS8.1.1',
    title: '调整项',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.1.1.1',
    title: '调整项 导出补充订单汇总确认表按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.1.2',
    title: '调整项 导出补充订单确认表按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.1.3',
    title: '调整项 确认发邮件按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.1.4',
    title: '调整项 下载导入模版按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.1.5',
    title: '调整项 导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.2',
    title: '费率表',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.1.2.1',
    title: '费率表 费率模板下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.2.2',
    title: '费率表 导入费率表按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.2.3',
    title: '费率表 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.2.4',
    title: '费率表 扣除费用模板下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.2.5',
    title: '费率表 导入扣除费用按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.3',
    title: '过滤商户信息列表',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.1.3.1',
    title: '过滤商户信息列表 删除按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.3.2',
    title: '过滤商户信息列表 过滤酒店模板下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.3.3',
    title: '过滤商户信息列表 导入过滤酒店按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.1.4',
    title: '账期对账报表下载',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.1.5',
    title: '帐期数据',
    type: 'NAVBAR',
  },

  // 财务管理-自动对账
  {
    code: 'CRS8.2',
    title: '自动对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.2.1',
    title: '对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.2.1.1',
    title: '对账对账按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.2',
    title: '对账单交易查询',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.2.2.1',
    title: '对账单交易查询 生成汇总数据按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.2.2',
    title: '对账单交易查询 对账单下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.2.3',
    title: '对账单交易查询 明细下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.2.4',
    title: '对账单交易查询 关闭按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.3',
    title: '周结酒店信息匹配表',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.2.3.1',
    title: '周结酒店信息匹配表 导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.4',
    title: '资金核销',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.2.4.1',
    title: '资金核销 导出按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.4.2',
    title: '资金核销 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.4.3',
    title: '资金核销 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.2.4.4',
    title: '资金核销 更新按钮',
    type: 'BUTTON',
  },

  // 财务管理-出款
  {
    code: 'CRS8.3',
    title: '出款',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.1',
    title: '周结管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.1.1',
    title: '周结管理 结算汇总按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.1.2',
    title: '周结管理 取消汇总按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.1.3',
    title: '周结管理 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.1.4',
    title: '周结管理 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.1.5',
    title: '周结管理 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.2',
    title: '出款管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.2.1',
    title: '出款管理 提现退款按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.2.2',
    title: '出款管理 生成出款批次号按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.2.3',
    title: '出款管理 成功按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.2.4',
    title: '出款管理 失败按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.2.5',
    title: '出款管理 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.3',
    title: '商户结算信息表',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.3.1',
    title: '商户结算信息表 导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.4',
    title: '提现退款管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.4.1',
    title: '提现退款管理 提交结算按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.4.2',
    title: '提现退款管理 编辑按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.4.3',
    title: '提现退款管理 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.5',
    title: '直连出款管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.5.1',
    title: '直连出款管理 关闭按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.5.2',
    title: '直连出款管理 明细下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.6',
    title: '出款对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.6.1',
    title: '明细及回单查看',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.6.1.1',
    title: '明细及回单查看 明细下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.6.2',
    title: '明细对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.6.3',
    title: '资金对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.6.3.1',
    title: '资金对账 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.6.3.2',
    title: '资金对账 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.6.3.3',
    title: '资金对账 更新备注按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.7',
    title: '账户余额查询',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.7.1',
    title: '账户余额查询 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.8',
    title: '联行信息查询',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.9',
    title: '中信银行内部转账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.3.9.1',
    title: '中信银行内部转账转账 申请按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.3.9.2',
    title: '中信银行内部转账 审核按钮',
    type: 'BUTTON',
  },

  // 财务管理-SAP自动入账
  {
    code: 'CRS8.4',
    title: 'SAP自动入账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.4.1',
    title: '凭证模版配置',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.4.1.1',
    title: '凭证模版配置 新增按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.4.1.2',
    title: '凭证模版配置 关闭按钮',
    type: 'BUTTON',
  },

  // 财务管理-银行账户管理
  {
    code: 'CRS8.5',
    title: '银行账户管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.1',
    title: '账户查询/修改',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.1.1',
    title: '账户查询/修改 新增按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.1.2',
    title: '账户查询/修改 修改按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.2',
    title: '余额录入',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.2.1',
    title: '余额录入 更新按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.2.2',
    title: '余额录入 存档按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.3',
    title: '银行流水账单',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.3.1',
    title: '银行流水账单 选择文件按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.3.2',
    title: '银行流水账单 导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.3.3',
    title: '银行流水账单 删除按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.4',
    title: '银行流水',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.4.1',
    title: '银行流水 导出按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.4.2',
    title: '银行流水 提交审核按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.4.3',
    title: '银行流水 更新按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.4.4',
    title: '银行流水 详情按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.5',
    title: '其他资金类型确认',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.5.1',
    title: '其他资金类型确认 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.5.2',
    title: '其他资金类型确认 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.6',
    title: '资金调拨确认',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.6.1',
    title: '资金调拨确认 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.6.2',
    title: '资金调拨确认 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.7',
    title: '银行流水审核',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.7.1',
    title: '银行流水审核 审核通过按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.7.2',
    title: '银行流水审核 审核拒绝按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.8',
    title: '资金类型配置',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.8.1',
    title: '资金类型配置 新增按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.8.2',
    title: '资金类型配置 修改按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.9',
    title: '解析规则配置',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.5.9.1',
    title: '解析规则配置 新增按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.5.9.2',
    title: '解析规则配置 修改按钮',
    type: 'BUTTON',
  },

  // 财务管理-信息维护表
  {
    code: 'CRS8.6',
    title: '信息维护表',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.6.1',
    title: '虚拟账号维护',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.6.1.1',
    title: '虚拟账号维护 批量导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.6.1.2',
    title: '虚拟账号维护 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.6.1.3',
    title: '虚拟账号维护 可用账号维护按钮',
    type: 'BUTTON',
  },

  // 财务管理-费用管理
  {
    code: 'CRS8.7',
    title: '费用管理',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.7.1',
    title: '费用对账',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.7.1.1',
    title: '费用对账 结算按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.1.2',
    title: '费用对账 调整按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.1.3',
    title: '费用对账 导入按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.2',
    title: '费用结算',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.7.2.1',
    title: '费用结算 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.2.2',
    title: '费用结算 取消结算按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.3',
    title: '费用调整',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.7.3.1',
    title: '费用调整 下载按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.4',
    title: '费用核销',
    type: 'NAVBAR',
  },

  {
    code: 'CRS8.7.4.1',
    title: '费用核销 确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.4.2',
    title: '费用核销 取消确认按钮',
    type: 'BUTTON',
  },

  {
    code: 'CRS8.7.4.3',
    title: '费用核销 更新按钮',
    type: 'BUTTON',
  },

  // 支付管理
  {
    code: 'CRS9',
    title: '支付管理',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.1',
    title: '退款',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.1.1',
    title: '退款 下载按钮',
    type: 'BUTTON',
  },
  // 支付管理-支付-对账单对账
  {
    code: 'CRS9.2',
    title: '自动退款处理',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.2.1',
    title: '自动退款处理 失败重处理按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.2.2',
    title: '自动退款处理 下载按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.3',
    title: '商户结算',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.3.1',
    title: '商户结算 结算按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.3.2',
    title: '商户结算 刷新按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.3.3',
    title: '商户结算 关闭按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.3.4',
    title: '商户结算 取消关闭按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.3.5',
    title: '商户结算 下载按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.4',
    title: '支付掉单',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.4.1',
    title: '支付掉单 补单按钮',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.5',
    title: '交易查询',
    type: 'NAVBAR',
  },
  // 支付管理-支付-对账单对账
  {
    code: 'CRS9.6',
    title: '支付-对账单对账',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.6.1',
    title: '差错处理',
    type: 'NAVBAR',
  },
  {
    code: 'CRS9.6.1.1',
    title: '差错处理 关闭',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.6.1.2',
    title: '差错处理 取消关闭',
    type: 'BUTTON',
  },
  {
    code: 'CRS9.6.2',
    title: '对账结果查询',
    type: 'NAVBAR',
  },

  {
    code: 'CRS7.2.7',
    title: '评论管理',
  },
  {
    code: 'CRS7.2.7.1',
    title: '用户评论列表',
  },
  {
    code: 'CRS7.2.7.2',
    title: '客服评论列表',
  },
  {
    code: 'CRS7.3',
    title: '评论标签',
  },
  // PMS运营管理
  {
    code: 'CRS13',
    title: 'PMS运营管理',
    type: 'NAVBAR',
  },
  // 通告管理
  {
    code: 'CRS13.1',
    title: '通知公告',
    type: 'NAVBAR',
  },
];

export { MENU_CODE_LIST };
