import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const PAY_TYPE = [
  {
    value: null,
    name: '全部',
  },
  {
    value: 0,
    name: '到付',
  },
  {
    value: 1,
    name: '预付',
  },
  {
    value: 2,
    name: '信用住',
  },
];

const PAY_TYPE_OPTION = PAY_TYPE.map((item, key) => (
  <Option value={item.value} key={`PAY_TYPE-${key}`}>
    {item.name}
  </Option>
));

export { PAY_TYPE, PAY_TYPE_OPTION };
