const PHONE = /^1\d{10}$/;
const PASSWORD = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{10,20}$/;
const WORD = /^[a-zA-Z]+$/; // 英文
const WORDANDNUM = /^[A-Za-z0-9]+$/; // 英文数字
const BANKCARDID = /^([1-9]{1})(\d{14}|\d{18})$/;
const CARDID = /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
const CHINANAME = /[\u4E00-\u9FA5]{2,6}$/;
const NUMBER = /^[0-9]+$/; // 数字

export { PHONE, PASSWORD, WORD, WORDANDNUM, BANKCARDID, CARDID, CHINANAME, NUMBER };
