import { OYOCheckLabelColor } from '@/components/OYOCheckLabel';

/**
 * apolloStatus
 * 绿房:1
 * 可改造黑房:2
 * 可售黑房:3
 * 不可售黑房:4
 */
export const ROOM_STATUS_TYPE = [
  {
    code: 1,
    name: '绿房',
    valueName: 'isShowGreen',
    color: OYOCheckLabelColor.green,
  },
  {
    code: 2,
    name: '可改造黑房',
    valueName: 'isShowModified',
    color: OYOCheckLabelColor.modified,
  },
  {
    code: 3,
    name: '可售黑房',
    valueName: 'isShowSellable',
    color: OYOCheckLabelColor.sellable,
  },
  {
    code: 4,
    name: '不可售黑房',
    valueName: 'isShowNotSellable',
    color: OYOCheckLabelColor.notSellable,
  },
];
