import { authFetch as request } from '@/utils/fetch';

export async function queryChannelList(params) {
  return request(`/api/crs/v1/channel/list`, {
    params: { ...params },
  });
}

export async function queryPriceList() {
  return request(`/api/crs/v1/channel/searchAllRateCodeNameList`);
}

export async function addChannel(params) {
  return request(`/api/crs/v1/channel/create`, {
    method: 'POST',
    params: { ...params },
  });
}

export async function channelRateCodeInfo(params) {
  return request(`/api/crs/v1/channel/channelRateCodeInfo`, {
    method: 'GET',
    params: { ...params },
  });
}
