import React, { PureComponent } from 'react';
import { Card, Tabs } from 'antd';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import SmartDoorLock from './SmartDoorLock/index';

const { TabPane } = Tabs;

export default class DataDashboard extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey="0">
            <TabPane tab="智能门锁" key="0">
              <SmartDoorLock />
            </TabPane>
            <TabPane tab="传统门锁" key="1" disabled>
              传统门锁
            </TabPane>
            <TabPane tab="身份证" key="2" disabled>
              身份证
            </TabPane>
            <TabPane tab="支付盒子" key="3" disabled>
              支付盒子
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
