import React, { PureComponent } from 'react';
import { Alert } from 'antd';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { connect } from 'dva';
import { getBatchAssociateProps } from './config';

@connect(({ user }) => ({
  user,
}))
export default class batchHandle extends PureComponent {
  constructor(props) {
    super(props);
  }

  // 弹出msg
  renderRes = res => {
    return res.msg;
  };

  render() {
    return (
      <>
        <Alert
          message="本功能用于将新增渠道和价格策略，关联至多家酒店。"
          type="info"
          showIcon
          style={{ marginBottom: 10 }}
        />
        <Alert
          message="使用本功能前，请在“渠道管理”和“价格策略”添加渠道和价格策略，并配置两者关联关系。"
          type="warning"
          showIcon
          style={{ marginBottom: 10 }}
        />

        <OyoBatchUpload {...getBatchAssociateProps(this)} />
      </>
    );
  }
}
