import React, { PureComponent } from 'react';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import { Card, Tabs } from 'antd';
import { BatchHandle, BatchUnassociation, BatchResults } from './components/index';

const { TabPane } = Tabs;

export default class AssociateList extends PureComponent<object, any> {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey="0">
            <TabPane tab="批量新增" key="0">
              <BatchHandle />
            </TabPane>
            <TabPane tab="批量解除" key="1">
              <BatchUnassociation />
            </TabPane>
            <TabPane tab="批量执行结果" key="2">
              <BatchResults />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
