import OyoBatchUpload from '@/components/OyoBatchUpload';
import { connect } from 'dva';
import React, { PureComponent } from 'react';
import { getControlPriceProps } from './config';

@connect(({ user }) => ({
  user,
}))
export default class ControlPrice extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {};
  }

  public renderRes = res => {
    return res.msg;
  };

  public render() {
    return <OyoBatchUpload {...getControlPriceProps(this)} />;
  }
}
