import React, { memo } from 'react';
import { FormattedMessage } from 'umi/locale';
import { Pie } from '@/components/Charts';
import Yuan from '@/utils/Yuan';

const CommentPie = memo(({ salesPieData }) => (
  <div
    style={{
      height: 150,
    }}
  >
    <Pie
      hasLegend
      subTitle={`${salesPieData.data.averageTotalRate}分`}
      total={`${salesPieData.data.commentCount}条评分`}
      data={salesPieData.salesTypeData}
      valueFormat={value => <Yuan>{value}</Yuan>}
      height={130}
      lineWidth={4}
    />
  </div>
));

export default CommentPie;
