import React, { PureComponent } from 'react';
import { Button, message } from 'antd';
import WrappedSearchForm from '../HotelCommentForm';

class UserComment extends PureComponent {
  constructor() {
    super();
    this.state = {
      fileList: '客户评论',
    };
  }

  onSearch = query => {
    this.props.solveSearch(query);
  };

  componentDidMount() {
    this.props.getCommentRate();
    this.props.solveSearch();
  }

  render() {
    return (
      <div>
        <WrappedSearchForm
          customerComentCount={this.props.customerComentCount}
          type={this.props.type}
          onSearch={this.onSearch}
        />
      </div>
    );
  }
}

export default UserComment;
