import { transAuthFetch, transAuthUpdate } from '@/utils/fetch';

// 获取酒店图片
export function getHotelImage(params) {
  return transAuthFetch(`/image/getHotelImage`, {
    method: 'GET',
    type: 1,
    params,
  });
}

// 获取酒店图片类型
export function getHotelImageCategoryList(params) {
  return transAuthFetch(`/image/getHotelImageCategoryList`, {
    method: 'GET',
    type: 1,
    params,
  });
}

// 删除图片
export function removeImage(params) {
  return transAuthFetch(`/image/removeImage`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 改变分类
export function changeCategory(params) {
  return transAuthFetch(`/image/changeCategory`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 改变分类
export function changePriority(params) {
  return transAuthFetch(`/image/changePriority`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 改变分类
export function uploadHotelImage({ formData, params }) {
  return transAuthUpdate(`/image/uploadHotelImage`, {
    method: 'POST',
    type: 1,
    formData,
    params,
  });
}
