import React, { PureComponent } from 'react';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { connect } from 'dva';
import { getRoomFloorChangeProps } from './config';

@connect(({ user }) => ({
  user,
}))
export default class roomfloorChange extends PureComponent {
  constructor(props) {
    super(props);
  }

  // 弹出msg
  renderRes = res => {
    return res.msg;
  };

  render() {
    return (
      <>
        <OyoBatchUpload {...getRoomFloorChangeProps(this)} />
      </>
    );
  }
}
