import React, { PureComponent } from 'react';
import { Tabs, Card } from 'antd';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import WifiTable from './components/WifiTable';
import WifiUploads from './components/WifiUploads';

const { TabPane } = Tabs;

export default class HotelWifi extends PureComponent {
  constructor(props) {
    super(props);

    this.state = {};
  }

  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs type="card">
            <TabPane tab="wifi管理" key="1">
              <WifiTable />
            </TabPane>
            <TabPane tab="批量新增WiFi热点" key="2">
              <WifiUploads />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
