// 菜单权限管理  基于后台根据用户token 下发对应有权限的菜单。参考umi  https://umijs.org/zh/guide/router.html#%E9%85%8D%E7%BD%AE%E5%BC%8F%E8%B7%AF%E7%94%B1
// 对外暴露 刷新权限方法   以及权限组件
// 已经废弃  采用修改菜单 以及 路由拦截实现
import React from 'react';
import { matchRoutes } from 'react-router-config';
import RenderAuthorized from '@/components/Authorized';

const Authorized = RenderAuthorized(['user']); // 当前角色写死  菜单不依赖当前角色  只根据后台下发菜单配置

let res = ({ children, route, location }) => <Authorized authority="xx">{children}</Authorized>;

function formatMenuList(data) {
  const arr = [];
  function concatAll(dataParam) {
    dataParam.forEach(item => {
      const obj = {
        code: item.code,
        title: item.title,
      };
      arr.push(obj);
      if (item.children) {
        concatAll(item.children);
      }
    });
  }
  concatAll(data);
  return arr;
}

const updateMenu = data => {
  const menuList = formatMenuList(data);
  const menuCodeList = menuList.map(
    item =>
      // 有权限的菜单code
      item.code
  );

  res = ({ children, route, location }) => {
    const routes = matchRoutes(route.routes, location.pathname);
    let bl = false; // 准入与否

    routes.forEach(item => {
      if (item.route.code) {
        // 不配置code默认没有权限控制
        if (menuCodeList.indexOf(item.route.code) > -1) {
          // 当前code在 codelist中
          bl = true;
        } else {
          bl = false;
        }
      } else {
        bl = true;
      }
    });

    const authorities = bl ? 'xxxx' : 'xx';

    return <Authorized authority={authorities}>{children}</Authorized>;
  };
  window.res = res;
};

export { updateMenu };

window.res = res;
export default res;
