import { uploadBasePriceFile } from '../service';

export function getHotelFuncConfigure(context) {
  return {
    xlsx: '.csv',
    stepList: [
      {
        buttonTitle: '下载配置HMI看板酒店模板',
        comments: ' 每次新增时需重新下载表格',
      },
      {
        comments: '填写信息：参照表格中的范例在下载的表格中填写信息，填写完成后保存表格。',
      },
      {
        buttonTitle: '上传表格',
        comments: ' 上传完成会重置所有配置数据，本次上传数据为HMI看板可见酒店',
      },
    ],
    downloadUrl: './hotelId-template.csv',
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = {};

      // formData.append('channelId', 1);
      return uploadBasePriceFile({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),
  };
}
