import ButtonAuthorized from '@/components/ButtonAuthorized';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import judgePermission from '@/utils/judgePermission';
import { Badge, Button, Card, Col, Form, Input, message, Row, Select, Table, Tabs } from 'antd';
import { connect } from 'dva';
import React, { PureComponent } from 'react';
import { HotelFuncConfigure } from './components/index';

const codeArr = ['CRS7.1.4.1', 'CRS7.1.4.2'];
const TabPane = Tabs.TabPane;

@connect(({ hotelLists, loading }) => ({
  hotelLists,
  loading: loading.models.hotelLists,
}))
export default class HotelListIndex extends PureComponent {
  constructor(props) {
    super(props);
  }

  componentDidMount() {}

  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <HotelFuncConfigure />
        </Card>
      </PageHeaderWrapper>
    );
  }
}
