import { authFetch, transAuthFetch } from '@/utils/fetch';

export function cistList() {
  return authFetch(`/api/crs/v1/common/threeLinkage`);
}

// 销售区域
export function salesArea(params) {
  return transAuthFetch(`/common/salesArea`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// getCluster
export function getCluster(params) {
  return transAuthFetch(`/location/getClusterByCityId`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// getStreetInfo
export function getStreetInfo(params) {
  return transAuthFetch(`/common/listStreetByClcId`, {
    type: 1,
    params,
    method: 'GET',
  });
}

export function newAreaList(params) {
  return transAuthFetch(`/common/areaSearch`, {
    type: 1,
    params,
    method: 'GET',
  });
}
