import { authFetch, transAuthFetch } from '@/utils/fetch';

// 获取CRS的渠道列表（目前返回的是全渠道，非CRS下可用渠道）
export function queryCRSChannelList() {
  return transAuthFetch(`/channel/allChannel`, {
    type: 1,
    params: {},
  });
}

// 根据id查询渠道列表
export function queryChannelListMatchId(params) {
  return transAuthFetch(`/hotel/channelList?hotelId=${params}`, {
    type: 1,
  });
}
