class EasyMap {
  constract(arr, key) {
    if (!arr || key) {
      console.warn('easyMap need (arr,key) params');
    }
    this.sourceArr = arr;
    this.key = key;
    this.fromatObj = {};
    this.init();
  }

  init = () => {
    let res = {};
    this.sourceArr.forEach(element => {
      if (!element[this.key]) {
        console.warn(`${this.key}在原数组中对象key中值不存在，或者值为空`);
        return;
      }
      if (!res[element[this.key]]) {
        res[element[this.key]] = element;
      } else {
        console.warn(`${this.key}在原数组中对象key重复`);
      }
    });
    this.fromatObj = res;
  };

  // 根据key 访问对象特定 key-value
  findValueFromKey = (key, otherKey) => {
    if (!otherKey) {
      console.warn(`findValueFromKey need string param`);
      return undefined;
    }
    return this.fromatObj[key][otherKey];
  };

  // 返回特定对象
  findObjFromKey = key => this.fromatObj[key];
  //
}
// #endregion

export { EasyMap };
