import immutable from 'immutable';

export default function setKeyByImmutable(state, key, value) {
  const stateIm = immutable.fromJS(state);
  let keyList = key.split('.');
  if (keyList.length === 1) {
    return stateIm.set(keyList[0], value).toJS();
  }
  return stateIm.setIn(keyList, value).toJS();
}
