import { PHONE } from '@/constant/reg';

function checkPhone(val) {
  return PHONE.test(val);
}

function checkNumber(val) {
  return /^\d+$/.test(val);
}

function checkFloatNumber(val) {
  return !(/\.\d{3,}$/g.test(val) || Number.isNaN(Number(val)));
}

export { checkPhone, checkFloatNumber, checkNumber };
