const fs = require("fs");
const path = require("path");

function getFileName(processPath, name) {
  let proPath = path.join(processPath, name);

  while (fs.existsSync(proPath)) {
    const numMatch = name.match(/\-(\d+)$/);

    if (!numMatch || !numMatch[1]) {
      name = `${name}-1`;
    } else {
      name = `${name.replace(/-\d+$/, "")}-${Number(numMatch[1]) + 1}`;
    }

    proPath = path.join(processPath, name);
  }

  return name;
}

module.exports = {
  getFileName
};
